Introduction of RA

Introduction of Realtime Analyzer

Realtime Analyzer is a virtual measurement instrument. Acoustic, vibration, or electronic signals are measured and analyzed in real-time. Measurement data can be saved as picture, text, or sound file (wav format) for making documents, presentation, and other processing. Advanced measurements like THD (Total harmonic distortion), impulse response, and running ACF are available in the higher versions of DSSF3.

Real-time analyzing features include:

Oscilloscope: Input signal waveform will be displayed in real time. No difficult settings are needed. By just clicking the Start button, the signal is triggered, the level range is adjusted, and the waveforms are displayed in the proper positions. Separate 2ch mode and X-Y mode (Lissajous) are supported. Snapshots of the measurement screen can be easily taken at any time.

FFT analyzer: Nine measurement modes are available: Power spectrum, 1/1 to 1/24 Octave band analysis, Waterfall plot, Correlation meter, Phase meter, and Spectrogram. By using the octave band analyzer, function of the standard sound level meter can be significantly extended. Real-time spectrogram is a valuable tool for singing voice training or speech therapy.

Microphone calibration: For measuring the sound pressure level (SPL), the input level sensitivity can be easily calibrated. The sound level meter or the acoustic calibrator can be used as a reference. Microphone's frequency response can also be compensated using data provided by the manufacturer. This is a useful function in measuring the frequency response of audio devices, such as the amplifier or the loudspeaker.

Signal generator: Tone, noise, sweep, pulse, complex tone (synthesis), and musical scale generators are available. Those signals are very useful for audio measurement.

Data recording capabilities are:

Sound recorder: Playback of the recorded sound can be measured by the real-time analyzer simultaneously. Sound files saved as a .wav format can be read. Sampling frequency up to 96 kHz and resolution of 8, 16, 32 bit is supported.

Data record / export in the octave band analyzer: On the FFT analyzer, data record button is added. During the octave band analysis, click this button to open the data recording window. Measurement results are automatically recorded at the specified intervals. Recorded data can be saved by CSV format.

Snapshot in the FFT analyzer and the oscilloscope: Screen copy button is available on the FFT analyzer and the oscilloscope window. Snapshots of a measurement screen can be created by one click. You can record any number of measurement screens during a measurement. It is convenient for comparison and printing of measurement results.

Incorporation with image database software MMLIB: For saving and printing the measurement screen as picture files, we recommend the image database software, MMLIB. Measurement data and graph images can be easily stored to construct a measurement database.

Advanced measurement functions include:

Frquency Response: A frequency Response is the thing which made a change of a level for frequency a graph and, here, can survey it by a frequency sweep, spot frequency, three kinds of methods of a pink noise.

THD analyzer: Total Harmonic Distortion of the audio system can be measured for evaluating the linearity of the system. THD is defined as the ratio of the geometric mean of the harmonics (v1, v2, v3, v4, v5, ... v30) and the fundamental (v1), expressed in dB or %. THD Analyzer clarifies the quality of the measurement system in an instant. If you use the THD analyzer for maintenance or a check before the measurement, the accident would decrease dramatically.

Impulse response measurement: Automatic measurement using MLS or TSP methods ensures accurate acquisition of the clean impulse response. Using Sound Analyzer, the room acoustical parameters (i.e. reverberation time, speech intelligibility, and so on) will be calculated from the impulse response.

Running ACF measurement: The most advanced feature of DSSF3 is that the time change of sound qualities can be analyzed with a high temporal resolution (up to 0.001 s). In addition to SPL, sound qualities such as pitch, pitch strength, reverberation, and spatial information such as the location and the width of sound source will be calculated.


Introduction of RA

Contents
Introduction of Realtime Analyzer

DSSF3 RA Operation Guide
  1. Basic measurement procedure
    1. Signal input and output
    2. Measurement by the oscilloscope
    3. Measurement by the FFT analyzer
  2. Adjustment before a measurement
    1. Volume setting
    2. Soundcard measurement
  3. Microphone setting
    1. Sensitivity calibration
    2. Frequency response compensation
  4. How to use a Sound Level Meter
    1. Connection with SLM's AC-OUT
    2. SPL calibration
  5. Sound recording in RA
    1. Using the ACF measurement and Environmental noise analyzer (EA)
    2. Sound recorder
Impulse response
  1. Introduction
  2. Features of RA's impulse response measurement
  3. Measurement guide
    1. Connecting devices
    2. Input device setting and volume control
    3. Configuration of the measurement conditions
    4. Adjustment before the measurement
    5. Operation test
    6. Loading measurement data, importing the database
    7. Saving measurement data
    8. Deleting saved data
    9. Measurement data backup
  4. Tips for the advanced measurement
    1. Using the measurement support functions
    2. Frequency response compensation by the inverse filter
    3. Check of Sound and Multimedia property
  5. Measurement examples
Running ACF
  1. Introduction
  2. Features of RA's running ACF measurement system
  3. Measurement guide
    1. Connecting devices
    2. Input device setting
    3. Configuration of the measurement conditions
    4. Performing the measurement
    5. Loading the measurement data, wav file, importing the database
    6. Saving the measurement data
    7. Deleting the saved data
    8. Measurement data backup
  4. Measurement examples
Reference Manual
  1. Main Window
    1. Menu bar
    2. How to adjust the font size and window size
    3. Input Device and Peak Level Monitor
    4. Function buttons on the main window of RA
  2. Signal Generator
    1. Tone
    2. Noise
    3. Sweep
    4. Pulse
    5. Synthesis
    6. Scale
    7. Wave
  3. FFT Analyzer
    1. Common setting items
    2. Measurement displays
    3. Microphone calibration
    4. Data record
  4. Oscilloscope
    1. Items of the Oscilloscope
  5. Frequency response
    1. Common setting items
    2. Frequency sweep
    3. Spot frequency
    4. Pink noise
  6. THD Analyzer
    1. Common items of THD Analyzer
    2. Manual measurement
    3. Frequency sweep measurement
    4. Level sweep measurement
  7. Impulse Response
    1. Items on the Impulse response window
    2. Save Measurement Data
    3. Load Measurement Data
    4. Automatic adjustment
    5. Correction (inverse filter setting)
  8. Running ACF
    1. Items on the Running ACF window
    2. Save Measurement Data
    3. Load Measurement Data
  9. Recorder
  10. Preset
  11. Keyboard shortcut
  12. Appendix
    1. Selection of the input device and the input volume control
    2. Peak level monitor, Input monitoring and output monitoring function
    3. Time window in the FFT analyzer
    4. About volume control setting
    5. Test signal CD
    6. Time resolution and frequency resolution in the FFT analyzer
    7. About the correlation function


Operation Guide
  1. Basic measurement procedure
    1. Signal input and output
    2. Measurement by the oscilloscope
    3. Measurement by the FFT analyzer
  2. Adjustment before a measurement
    1. Volume setting
    2. Soundcard measurement
  3. Microphone setting
    1. Sensitivity calibration
    2. Frequency response compensation
  4. How to use a Sound Level Meter
    1. Connection with SLM's AC-OUT
    2. SPL calibration
  5. Sound recording in RA
    1. Using the ACF measurement and Environmental noise analyzer (EA)
    2. Sound recorder

DSSF3 > RA


Basic measurement procedure
  1. Signal input and output
  2. Measurement by the oscilloscope
  3. Measurement by the FFT analyzer

DSSF3 > RA > Operation Guide


Signal input and output
When measuring sound, analog signal is first converted to digital signal in the soundboard. Then, the digital signal is put in the mixer device in Windows and is taken in to RA. When replaying the test signals created in RA's signal generator, the signal passes the same course in the opposite direction. Windows' sound control program (volume control) is used to select input / output device and to adjust the volume.

Input/output device setting and volume control

Signal output: RA outputs the digital signal (WAVE signal) to the Windows sound mixer. Output volume is adjusted by the Windows volume control.

Open the Windows volume control (Playback). Check the Mute except for WAVE.

Another important function to control the output volume is "Digital Output" in the signal generator. This volume adjusts the range of the digital signal, to make the signal not to be distorted. It is important to remember that many soundboards' performance becomes poor around their maximum output level. Before the measurement, it is highly recommended to check the distortion of the output signal (Adjustment before a measurement).

Signal input: RA inputs the A/D converted signal from the Windows sound mixer. Microphone input, line-in, WAVE signal, and so, can be measured similarly.

Select the input device in the main window of RA. To measure the signal generator's output, select WAVE/DirectSound as below.

In actual measurements, "line" is used as the input device. If your PC does not have a line-in terminal, microphone input terminal can also be used. But note that the quality of PC's mic-in terminal is not good in general. Alternatively, a soundcard with USB or PCMCIA interface is available. Adjustment of the input volume is done by the Windows volume control or by the volume control in RA's main window. These two controls are interlinked for ease of use.

DSSF3 > RA > Operation Guide > Basic measurement procedure


Measurement by the oscilloscope
In the signal generator, four kinds of waveforms (sinusoidal, triangle, square, sawtooth) can be created with an arbitrary frequency. The oscilloscope can display the waveform of the input signal as below. The signal generator and the oscilloscope can be used to see how the signal is changed when the signal goes through some devices. This is the most basic test in general audio applications, for example, for checking the audio device's operation, diagnosing, and evaluating its performance.

Connect the output of the soundcard with the input terminal of an audio device (e.g. amplifier). Then connect the output terminal of the amplifier with the input of the soundcard. In this configuration, the signal from the PC goes to the amplifier and comes back to the PC. Now, by starting the signal generator and the oscilloscope, the output of the amplifier can be measured. You can see whether the signal is correctly amplified, and whether the signal is distorted or not.

The oscilloscope shows the waveform of the input signals in real time. Difficult settings can be ignored at first. By just clicking the Start button, the signal is triggered and the level range is adjusted automatically, and the waveforms are displayed in the proper positions. Snapshots of the measurement screen can be easily taken by the Screen Copy button. Automatic over sampling is applied to the signal to display the smoothed waveform especially for the short sweep time range.

DSSF3 > RA > Operation Guide > Basic measurement procedure


Measurement by the FFT analyzer
FFT analyzer is a powerful tool for measuring sound in real time. Spectrum, Octave band, Waterfall, and Correlation meter can be used with the signal generator as follows.
Sinusoidal (sine) tone is the most basic test signal. By feeding a sine tone to an audio equipment and measuring its output by the power spectrum, you can see whether the signal frequency is correctly transmitted. Extra components would appear if there is some problem.

This is a very important test for checking if the audio system is working correctly. It is also very effective for the diagnosis and maintenance of the system. Abnormalities such as distortion, oscillation, noise, are easily detected.

Figures below show the power spectrum of a 1kHz sine tone. Both channels measure the same signal, but the spectra are different. It is because the output level of the right channel signal is too high. If the signal is clipped (distorted) like this, the resultant spectrum will include many harmonic components in addition to the fundamental component. It is important to know the appropriate volume settings before the measurement. Adjustment before a measurement

By using the noise generator and the power spectrum, frequency response of audio equipments is measured. The figure below is a result of the measurement for the signal generator's output itself. This is done by selecting the "wave" as an input device, starting the output of white noise in the signal generator, and starting the spectrum analyzer. If you connect the PC's output to the external device and measure its output, the frequency response of the device is easily measured.

Next example is a combination of pink noise and the octave band analyzer. Pink noise is similar to white noise, but the energy decreases in relation to its frequency. In audio measurement, pink noise is more popular than white noise, because white noise is sometimes dangerous for loudspeakers due to its high energy in the high frequency ranges. To measure the frequency response by use of the pink noise, the octave band analysis is used. As shown in the figure below, the octave band spectrum of pink noise becomes flat.

Octave band analyzer can also be used for measuring environmental noise. Limited function of the standard sound level meter can be greatly extended.

Next, sweep signal is measured by the waterfall display. Waterfall is the three dimensional expression of a time series of the power spectrum (time-frequency-energy).

The combination of the sweep signal and the waterfall measurement is a useful tool for checking the dynamic characteristic of loudspeakers. It is quite effective for measuring the dynamic characteristics of the loudspeaker with the crossover network. Frequency response curve can be drawn by the sweep signal too. See the following application note.

DSSF3 > RA > Operation Guide > Basic measurement procedure


Adjustment before a measurement
  1. Volume setting
  2. Soundcard measurement
If the Realtime Analyzer is used without any adjustment, performance of the sound device (noise, distortion, and frequency response) of your PC affects the measurement. It may become critical when you use the built-in sound chip, because most of them do not have sufficient performance for sound measurement. It is important to check the sound performance of your PC and adjust it correctly before the measurement. It is also helpful to understand the internal mechanism of PC's sound device and the functions of the software.

DSSF3 > RA > Operation Guide


Volume setting
If you do not check the settings of RA, the output signal of the signal generator may be distorted. Distortion of the test signal is very harmful for the measurement. Correct results never be acquired, and it may break the equipment under test.

In most cases, the most problematic device is the analog amplifier built in the D/A converter. The 16 bit D/A converter transforms the amplitude of the digital signal (1-32767) to the analog signal. But this output signal is distorted in most PCs' sound chip around the maximum output level. To reduce such a distortion, digital volume should be adjusted. Digital volume is called as "Digital Output" in RA as shown in the signal generator.

Decreasing the digital volume suppresses the maximum digital output. A demerit of decreasing the digital volume is that a dynamic range and resolution decrease, but it is far better than the sound is distorted. This is the very important point for the correct sound measurement.

To check a distortion, generate a sine wave in the signal generator (hereinafter referred to as "SG") and observe its waveform by the oscilloscope. A 1 kHz sinusoidal tone is recommended as a test signal.

A test signal generated by the SG (tone, noise, sweep, and pulse) is the digital signal that is called "wave out". To observe the signal by the oscilloscope, select WAVE as the input device. The name of the device depends on the environment (e.g. WAVE, mixer, directsound, and so). The SG only outputs the signal. It does not control the input device. To adjust the input volume, check the peak level monitor (right side in the figure below) and move the Volume slider (left side). Recommended output level is below -5 dB.

In this test, a test signal generated by the SG is converted to analog (by D/A converter), then fed to the oscilloscope via Windows mixer. The whole measurement chain is completed only inside the PC.

When the waveform is collapsed in the oscilloscope, check the volume control on the RA's main window first. If the input volume is too large, the sine wave becomes like a square wave. Next, adjust the Digital Output in SG until the clean sine wave appears. In the oscilloscope, the adjustment result can be seen on time. It tells the proper volume setting more simply than other methods.

more info: About Windows volume control and RA's volume setting

DSSF3 > RA > Operation Guide > Adjustment before a measurement


Soundcard measurement
Next, the frequency response of the soundcard is measured by using the pink noise and the octave band analyzer. Leave the configurations as in the previous measurement, and output the pink noise on the SG.

The vertical axis is zoomed in between -10 and -60 dB. The sound level is expressed by the relative level with the maximum input as 0 dB. In general, the tolerance level of the frequency response is about -3 dB compared to 1 kHz.

Measurement of the PC's sound device is the starting point of the sound measurement. All measurement can be performed if you can measure your PC correctly. If the performance of your PC's sound device is not good, we recommend you to use a high quality soundboard to perform the correct sound measurement.

DSSF3 > RA > Operation Guide > Adjustment before a measurement


Microphone setting
  1. Sensitivity calibration
  2. Frequency response compensation
Before starting the measurement, it is highly recommended that the microphone settings are stored in RA as a calibration data. Several settings such as the sensitivity, the frequency compensation curve, and the input volume are saved at the time of calibration. Once it is saved, these settings are automatically recovered so that RA enables the measurement with the same condition at any time. To use the already stored calibration data, just select the microphone data on the calibration window of the FFT analyzer.

DSSF3 > RA > Operation Guide


Sensitivity calibration
For the measurement of the absolute sound level, an input level of the microphone should be calibrated by using the sound level meter or the acoustic calibrator as reference. A 1 kHz sine tone is typically used as a calibration signal. The calibration procedure is described as follows.

1) | Connect the microphone and the loudspeaker to the soundcard. Confirm that the signal input/output is possible.
2) Open the FFT analyzer and click the Calibration button. Calibration window opens. If you already have calibration data, select the data and click the OK button. If not, go to the next step.
3) Click the Edit button. Edit window opens.
4) A) Using the sound level meter (SLM)
  1. Place the SLM and the microphone closely to the sound source (loudspeaker), set the frequency weighting curve of the SLM as FLAT, and output the test signal (1kHz sine tone) by checking the "Test Signal" box.
  2. Set the volume of the input device (see the main window of Realtime Analyzer) so that the peak level monitor reaches around -15 and -10 dB.
  3. On the calibration window, set the frequency weighting curve as FLAT, and adjust the sensitivity scrollbar until the Input Level matches the reading of the SLM.
B) Using the acoustic calibrator
  1. Attach the calibrator to the microphone, and turn it on.
  2. Set the volume of the input device so that the peak level monitor on the RA's main window will be at between -15 and -10 dB.
  3. On the calibration window, set the frequency weighting curve as FLAT, and adjust the sensitivity scrollbar until the Input Level matches the reference sound pressure level of the calibrator (e.g. it is typically 94 dB or 114 dB at 1000 Hz).
C) Measuring sound by the sound level meter as a microphone
  1. The sound level meter itself can be used as a microphone. See Connect the sound level meter with PC for how to connect the sound level meter with PC and calibrate its sensitivity.
5) | Enter the Microphone Info., Mic Amp. Info. (optional) and Comment (optional), and click the New button. It appears on the calibration data list. To use the stored calibration data, just select the microphone data from the list.

DSSF3 > RA > Operation Guide > Microphone setting


Frequency response compensation
If you have the microphone's frequency response data provided by the manufacturer, it can be compensated on the calibration window. Follow the instruction below to make a microphone compensation data.

Note: Microphone compensation is recommended only for the frequency response measurement by using pink noise or white noise. It is because the amplitude spectrum (i.e. frequency response) can be compensated, but the phase spectrum (i.e. transient response) can not be compensated. Ideally, the microphone should have a flat frequency response and transient response to capture sound accurately, but generally it is not. Most microphones are adjusted so that they have balanced frequency response and transient response. If only the frequency response is compensated, its transient response is distorted. It is no problem for measuring the stationary sound such as pink noise and white noise, but it causes problems for measuring the transient sound (music, speech, etc.).

1) | Open the FFT analyzer and click the Calibration button.
2) | Calibration window opens. Click the Edit button.
3) Edit window opens. Frequency Response curve on this window can be edited by entering the frequency and its level. For practice, select 10000 Hz from the list, enter 5 (dB) in the Level box, and click the Set button. Then the frequency curve changes as in the figure below. Only four frequencies of 10, 100, 1000, and 10000 are appeared in the list, but you can add the new frequencies by entering the frequency and its level in the boxes and clicking the Set button.
4) Edit the frequency response curve to match those of the microphone.

In this example, the following frequencies were edited to make a frequency response curve (0deg.) below.
Frequency [Hz] | 5 | 0 | 0 | 0 | 0 | 2 | 0 | 1 | -10
Frequency | 40 | 150 | 200 | 3k | 4k | 10k | 12k | 16k | 20k
5) | Enter the Microphone Info., Mic Amp. Info. (optional) and Comment (optional), and click the New button. It appears on the calibration data list. To use the stored calibration data, just select the microphone data from the list.

DSSF3 > RA > Operation Guide > Microphone setting


How to use a Sound Level Meter
  1. Connection with SLM's AC-OUT
  2. SPL calibration
The sound level meter (SLM) can be used as a measurement microphone, if it has the AC analog output. AC-OUT of the SLM is an amplified sound itself. It is same as measuring with a microphone and microphone amplifier. Realtime Analyzer significantly extends the function of the standard sound level meter.

In the FFT analyzer, frequency weighting filters (Flat, A, B, C) are easily chosen. The spectrum analyzer and the octave band analyzer are equipped with the peak hold function and the smoothing function including the standard time constant of slow: 1.0 s and fast: 0.125 s. Also, the microphone calibration function is available. By setting these conditions properly, the FFT analyzer can be used as a highly advanced multi-functional sound level meter.

DSSF3 > RA > Operation Guide


Connection with SLM's AC-OUT
When you connect the sound level meter's AC-OUT and PC's line-in jack, you need a stereo mini jack cable and a micro plug to stereo mini plug adapter.
Set the input device to "mixer" or "line-in".

This is Windows volume control (output). Unnecessary devices (LINE or MIC) should be mute. If you don't do this setting, howling may occur during the measurement.

DSSF3 > RA > Operation Guide > How to use a Sound Level Meter


SPL calibration
When you use a sound level meter, note that the measurement range is divided into several modes. For example, ACO sound level meter Type 6146 has three measurement ranges. Maximum level of each range is 70, 100, and 130 dB and its dynamic range is 40 dB. If the dynamic range of sound to be measured exceeds 40 dB, it can not be measured correctly

The important thing is to calibrate the input level so that it can record a sound with a sufficient level for analysis. For this purpose, it should be calibrated with a test sound close to the sound level to be measured. Test sound should have a fixed volume during the calibration. Then it is easy to match the input level of RA with that of a sound level meter.

This is a calibration window. Confirm that the frequency weighting (A, C, or Flat) of RA and the sound level meter is same. Adjust the input level to match the sound level meter reading.

When the time constant (dynamic characteristic switch) of the sound level meter is FAST (time constant is 125 ms), set the sampling rate to 44.1 kHz, FFT size to 4096, and smoothing to 2. When the time constant is SLOW (time constant is 1.0 s), set the smoothing to 5.

Setting of time constant in the FFT analyzer

Time constant of the smoothing function in the FFT analyzer can be set as time (s or ms). The standard Fast (125 ms) and Slow (1.0 s) time window can also be selected.

The sound level meter might have a measurement range switch. In this case, you can save several settings for each measurement range to measure a wide dynamic range.

DSSF3 > RA > Operation Guide > How to use a Sound Level Meter


Sound recording in RA
  1. Using the ACF measurement and Environmental noise analyzer (EA)
  2. Sound recorder
Even if you do not have a recording devices, RA can record a sound into the hard disk directly.

DSSF3 > RA > Operation Guide


Using the ACF measurement and Environmental noise analyzer (EA)
Sound recording function is equipped with the Running ACF window in RA, and the Environmental noise Analyzer /EA. In each measurement, sound is recorded automatically. When the measurement data is saved, sound file is also saved in the common database with additional information such as the measurement date and the measurement conditions.

SA (sound analyzer) is also equipped with a replay function. It is possible to play a sound by SA and analyze it by RA.

It is also possible to input and output a WAVE file. If a WAVE file is chosen when saving a file, a .WAV file can be saved directly. This file is reproducible by Windows Media Player, or can be read into the sound editing software, such as "CoolEdit". You can edit and process the sound waveform directly.

By using WAVE input/output functions, re-analysis and sharing of the data with other system becomes possible. For the high resolution analysis, just record a sound with low resolution and analyse it later. Simultaneous sound playback and measurement is also possible. For example, play the recorded sound and start the FFT analyzer. The power spectrum or the 1/3 octave band analysis is performed in real time. For this purpose, the multi task OS like Windows 2000 and XP are recommended.

DSSF3 > RA > Operation Guide > Sound recording in RA


Sound recorder
In the new version of the DSSF3, the sound recorder window has been newly added. Sound recording up to about 10 minutes is available. Simultaneous sound playback and analysis by the FFT analyzer is also possible.

How to use the sound recorder
  1. Click the Recorder button on the RA's main window to open the sound recorder.
  2. To start recording, check the Recording box on the Recorder window.
  3. Start one of the Signal Generator, the FFT Analyzer, or the Oscilloscope. When the FFT Analyzer or the Oscilloscope is started, the input signal is recorded. When the Signal Generator is started, the generated signal is recorded. To stop recording, click the Stop button of the window that was started.
  4. To start playback of the recorded signal, click the Playback button of the Recorder window, and start the FFT Analyzer or the Oscilloscope. The recorded signal is played and simultaneously analyzed by the FFT Analyzer or the Oscilloscope.
  5. Right click on the recorded waveform and drug the mouse to change the selection. Selected region is displayed in blue. Click the Cut button to cut out the selected range
  6. Click the Save button to Save the recorded signal as the wave file (.wav format).
  7. Click the Load button to Load the wave file. Loaded wave file can be played and analyzed as the recorded sound.

DSSF3 > RA > Operation Guide > Sound recording in RA


Impulse response
  1. Introduction
  2. Features of RA's impulse response measurement
  3. Measurement guide
    1. Connecting devices
    2. Input device setting and volume control
    3. Configuration of the measurement conditions
    4. Adjustment before the measurement
    5. Operation test
    6. Loading measurement data, importing the database
    7. Saving measurement data
    8. Deleting saved data
    9. Measurement data backup
  4. Tips for the advanced measurement
    1. Using the measurement support functions
    2. Frequency response compensation by the inverse filter
    3. Check of Sound and Multimedia property
  5. Measurement examples

DSSF3 > RA


Introduction
When the sound is emitted from the source in a room, the direct sound reaches to the listening point first. Then, the reflective sounds from the walls and the ceiling arrive. Finally, the sound waves which repeated multiple reflections on the surrounding walls reaches as reverberation. For example, when the impulse (a very short sound with a flat frequency response) is emitted from the stage of a concert hall, the time series of the reflected sound is recorded at the audience seat. This is called "impulse response". The impulse response contains the important information about the acoustical properties of a room.

Impulse response is widely used for investigating the acoustical properties of sound fields, such as concert halls, recording studios, and listening rooms. Once the impulse response is gained, the transfer function (frequency response function) between the sound source and the listening point is obtained by the Fourier transform. From them, many valuable indices, such as the reverberation time and the absorption coefficient of walls, are calculated. The impulse response is also used for the auralization (virtual acoustic reality) and the variety of sound effects, by using the well established convolution techniques. Realtime analyzer is the ideal software for measuring the impulse response of the concert hall, listening room, and the audio equipment.

DSSF3 > RA > Impulse response


Features of RA's impulse response measurement
  • MLS and TSP measurement: In this software, the impulse response is measured by using the MLS or the TSP method. Measured data can be analyzed later by the analysis software (Sound Analyzer) in the same manner.
  • Analysis of the room acoustics parameters (by SA): From the measured impulse response, the important room acoustics parameters are easily analyzed by SA (Sound Analyzer)*1. Sound level, initial time delay gap between the direct and the reflected sound, and reverberation time can be calculated from the monaural impulse response for each 1/1 or 1/3 octave band, and IACC can be calculated from the binaural (using dummy head or real head recording) impulse responses. Calculation of the standard room acoustics parameters according to ISO 3382 (strength, T30, EDT, clarity, center time) is also available.
  • Measurement support functions: The software is equipped with the measurement supporting functions for beginners. Check the "Auto Retry" and "Auto Level" button to use these functions. In the "Auto Retry" mode, measurement is repeated twice and the accuracy of the measurement is checked by comparing with the test measurement result. When the "Auto Level" is checked, the output volume is adjusted automatically so that the S/N ratio is improved. The output volume is increased within the range that the input signal doesn't become saturated. If you turn "Auto Level" off. You can adjust sound volume (output level) using Windows sound volume control. Also, compensation of the loudspeaker and the microphones' frequency response is possible by using the "inverse filter" function.
  • 96 kHz sample rate supported*2: If your sound driver supports 96 kHz sample rate, the impulse response is measured with 96 kHz sampling. Even if the sound driver does not support this sample rate, 96 kHz wave file can be loaded in RA and can be analyzed in SA. As a 96 kHz sampling sound device, you can use e.g. Roland UA-5.
  • 32 bit .wav format supported*2: A .wav format sound file with arbitrary length can be loaded in RA. So the impulse response measured by other software can be analyzed by SA (Sound Analyzer). Now, 32 bit .wav format is supported by the Impulse response and the Running ACF measurement.
*1. SA (Sound Analyzer) is not included in RAL, DSSF3 Light, and DSSF3 Realtime Analyzer. Use RAD, RAE, DSSF3 Full-system version, and DSSF3 Environmental Noise.
*2. These functions are only available in the latest version of RA (Ver.5.0 or later). Check the version of your program in Help menu > Version Information.

DSSF3 > RA > Impulse response


Measurement guide
  1. Connecting devices
  2. Input device setting and volume control
  3. Configuration of the measurement conditions
  4. Adjustment before the measurement
  5. Operation test
  6. Loading measurement data, importing the database
  7. Saving measurement data
  8. Deleting saved data
  9. Measurement data backup

DSSF3 > RA > Impulse response


Connecting devices
Connect the microphones and loudspeaker to the Input and the Output of your soundcard as shown in the figure below. The binaural impulse responses can be measured if you use a pair of two microphones, but the monaural impulse responses can be measured by only one microphone. Remember to connect the loudspeaker to the left channel, because the measurement signal is outputted to the left channel.

DSSF3 > RA > Impulse response > Measurement guide


Input device setting and volume control
First, select the input device (line, microphone, etc) and sound device (soundcard) in the main window of RA. This selection is interlocked with Windows' recording control. Usually, line-in or microphone is used.

Next, output device has to be set as follows. Open the Windows Volume Control and check Mute except for Wave. Otherwise, input signal from the microphone or the line-in is outputted directly and the howling might occur. Also, do not use the advanced controls, especially the tone controls. If there are excessive sound effects, it cannot be measured correctly. Enlarge the volume as much as possible in the range which is not distorted. Distortion is fatal in a measurement system.

If you still have problems, it is difficult to perform the impulse response measurement by your PC. Please contact us. Perhaps we can give you suggestions depending on your situation.

DSSF3 > RA > Impulse response > Measurement guide


Configuration of the measurement conditions
Basically, the measurement can be performed correctly by the default setting. Very clean impulse response can be obtained using a standard computer, soundcard, and microphones. Once you confirmed your PC works well, it is better to preserve the setting until the measurement ends. Impulse response measurement requires all the equipments to work well together. If you change the settings, it is difficult to reset them just before the measurement.

If you find difficulties, follow the instructions below.

The important settings in RA for the impulse response measurement are Sampling Rate, Measure Time, and Summation. It is briefly explained in the following.

Sampling Rate
Select as much high sampling rate as possible. RA works with up to the maximum sampling rate supported by the soundcard. But generally, 44 kHz or 48 kHz is enough.

Measure Time
To measure the impulse response correctly, measurement time should be set longer than twice of the reverberation time of a room. The longer the Measure Time is set, the more the Signal to Noise (S/N) ratio is improved.

Summation
Background noise has no regularity in time, so the summation does not increase its sound level, while the level of the impulse response is increased by the synchronized summation. Consequently, the S/N ratio is improved. When the summation is set to 2 or 4, the S/N ratio improves 3 or 6 dB, respectively. However, note that the total measurement time becomes long, when the larger number of summation is executed. If the obtained impulse response is noisy, we recommend trying TSP method rather than M-sequence (MLS).

DSSF3 > RA > Impulse response > Measurement guide


Adjustment before the measurement
The following adjustment is not necessary if you can measure correctly. If you find difficulties, follow the instructions below.

RA has a function to check the measurement conditions. If they are not good, they can be adjusted automatically. Click the "Adjustment" button on the Impulse response window to open the Adjustment dialog as a figure below. Items to be checked are "Input Output Level", "Mic. Position", and "Measuring Time". They are displayed OK when the settings are correct.

Input Output Level
It is checked whether the input and the output sound levels are in the proper range. If OK is not displayed, check the following problems.
  1. Input volume of the amplifier is too small (or too large).
  2. Output volume of the soundcard or the loudspeaker is too small (or too large).
First, adjust the volume of each equipment and retry the check. If OK still does not come out, suspect the distortion and lower the reproduction volume in the volume control. When the Auto Level box (on the Impulse response window) is checked, the software outputs the measurement signal as 70 % of the maximum volume.

Mic. Position
When you perform the stereo/binaural measurement by using the dummy head, the head should be directed to the sound source precisely. If you are using a pair of microphones without the head, two microphones should also be placed at exactly the same distance from the sound source. In this test, the levels from two microphones are checked. Adjust the position and direction of the microphones until OK is displayed.

Measuring Time
If the necessary measuring time is not clear, it can be checked by this test. The proper measuring time is decided based on the S/N ratio. In the actual measurement, set the longer measuring time than suggested.

DSSF3 > RA > Impulse response > Measurement guide


Operation test
Select the Channels (1ch or 2ch) and Method (MLS or TSP), and click the Start button to start the measurement. Test signal is generated and the impulse response is measured automatically.

The example as shown in the figure below is the impulse response of the output signal itself, measured by selecting the input device as Wave. In this case, the signal is inputted without any external device. So the result should include only one pulse and elsewhere should be flat. Otherwise, the settings of the input device and the volume control might be wrong.

Click the Play button to listen to the measured response. By listening to it, the problem of the measurement which is not known only by seeing a waveform may become clear.

DSSF3 > RA > Impulse response > Measurement guide


Loading measurement data, importing the database
Click the "Load" button to load the impulse response which has been already measured and saved in the database. On the "Load Measurement Data" dialog, select the folder and data from the list, and click the Load button.

*After the installation, only the Sample data is stored in the database.

Also, the WAV file can be loaded by clicking the "Wave File" button.

*In RAD and RAE, only the WAV file with the resolution of 16 bit can be loaded. DSSF3 deals with the WAV file with the resolution of 8, 16, and 32 bit. The sampling rate of the WAV file is used as it is.

On the "Load Measurement Data" dialog, click the "Import" button to load the measurement database. When selecting the folder in which the measurement data is saved, a file "FOLDER.DBF" is displayed. Select this file and click the Open button. By this operation, the previous measurement data is added to the current database. It is useful for comparison of different measurements at a time.

DSSF3 > RA > Impulse response > IMeasurement guide


Saving measurement data
Once the impulse response is measured, it can be saved to the database. The acoustical parameters can be calculated by using SA (Sound Analyzer).

Click the "Save" button on the Impulse response window, then the "Save Measurement Data" dialog opens as below. To save data, 1) enter the title and comment on the data, 2) select the folder, and 3) click the "Save" button. If there is no folder, or you want to save data in a new folder, you can create a new folder. See below.

When you make a new folder, click the "Folder..." button on the Save Measurement Data dialog. Folder Management dialog opens as in the figure below. Enter the folder title and click New button.

Also, the measured response can be saved as a WAV format. See the "Output Wave File" on the Impulse response window. Select "Impulse Resp." and "Binary", and click the "Output" button. Output signal and input signal used during a measurement can also be saved. Saving data as a text file is also possible.

DSSF3 > RA > Impulse response > Measurement guide


Deleting saved data
Click "Load" button. Folder and Measurement data are displayed. To delete a specific data in a specific folder, 1) select the folder and 2) select the data, 3) then click the "Delete" button.

To delete a whole folder, 1) select the folder and 2) click the "Delete" button.

DSSF3 > RA > Impulse response > Measurement guide


Measurement data backup
Measurement data of Realtime Analyzer, Sound Analyzer, and Environmental noise Analyzer, and the related data such as the microphone calibration data, the inverse filter, and the noise source template, are stored in the common database. Below, it is explained how to manage the measurement data and delete the stored data.

All of the measured data and the microphone calibration data are stored in the DATA folder in the program folder (e.g. DSSF5E). The database of DSSF3 is 64-bit, and the maximum data size of 2000 GB can be stored. The database of RAE, RAD, and MMLIB is still 32-bit at the time of default installation, but once you install the DSSF3, these software can also use the 64-bit database.

On-line update of the program never erase the data you have stored in the DATA folder. However, when you "re-install" the program, all the data is erased, because the sample data overwrites the existing data. To protect the already stored data, you have to backup the existing data before reinstallation. How to backup data is as below.
  1. Rename the DATA folder (for example as DATA1).
  2. Install the program.
  3. Delete the automatically created DATA folder and rename the folder DATA1 to DATA.
This backup operation enables you to use the existing data after reinstallation.

Setting Utility to specify the data folder

In the RA series (RAD and RAE), measurement data is always stored in the "DATA" folder. To backup the data, this DATA folder has to be moved to the other location or renamed every time. But in DSSF3, this problem has been solved. If you are using the DSSF3 version 5, you can specify the data folder by using the setting utility (DSS.exe). Wherever the measurement data is saved (even in the other computer on the network), DSSF3 can use this data. By this function, management of the measurement data becomes much easier.
  1. Run the DSS.exe and click the Reference button.
  2. Specify the measurement data folder, then the file FOLDER.DBF is displayed. Select this file and click the Open button.
  3. Click the OK button. Now the data in the specified folder is used by the DSSF3.

DSSF3 > RA > Impulse response > Measurement guide


Tips for the advanced measurement
  1. Using the measurement support functions
  2. Frequency response compensation by the inverse filter
  3. Check of Sound and Multimedia property

DSSF3 > RA > Impulse response


Using the measurement support functions
This software is equipped with the measurement support functions, such as Auto Level and Auto Retry. If these functions are used, measurement quality is checked and repeated until a good result is obtained. However, in a normal condition, clean impulse response can be measured with these settings off.

Auto Level
When using this function, the input and the output levels are adjusted by the short test signal. Then the measurement signal is outputted to measure the impulse response. If you do not use this function, adjust the output volume in the Windows volume control. Normal output volume range is around 70% of the maximum.

Auto Retry
When using this function, the measurement is repeated twice. Cross-correlation of these two measurements is calculated and the time delay of its peak is checked. If the time delay is large (i.e. two measurements are shifted in time), measurements are repeated until it passes the check.

DSSF3 > RA > Impulse response > Tips for the advanced measurement


Frequency response compensation by the inverse filter
It is ideal if a quality microphone and a loudspeaker are used. However, even if it is difficult to use such superior equipments, the measurement accuracy can be improved in RA by using the correcting function.

Correction of the measurement system by the Inverse filter

The response of the measurement system itself (including microphone, amplifier, loudspeaker, and PC), can be compensated by creating the inverse filter. By removing the response of the measurement system, the correct response of the sound field can be measured. Procedures for creating the inverse filter is described below.

To create an inverse filter, measure the impulse response close to the loudspeaker. This is to remove the effect of room. Impulse response just after the direct sound represents the response of the measurement system.
  1. To create an inverse filter, place the microphone close to the loudspeaker and measure the impulse response. Then, click the "Save" button for "Correction". The "Save Filter" dialog opens.
  2. In the "Save Filter" dialog, responses of the loudspeaker and the microphone are cut. Select only the direct sound from the impulse response. Input the Maximum Level which should be compensated. In this example, this value is set to 30 dB, but there is no limit. However, note that so large peaks or dips in the frequency response could not be compensated. After the adjustment, enter the title and comment, and click the Save button.
  3. Click the "Setup" button for correction. "Setup Filter" dialog opens. Select the filter and click the OK button.
  4. Then, start the measurement again. You will see the response of the measurement system is now removed.

DSSF3 > RA > Impulse response > Tips for the advanced measurement


Check of Sound and Multimedia property
For the impulse response measurement, more attention is needed for the settings of sound driver than in other measurements, because the impulse response measurement needs the synchronization of input and output. If you have any trouble in the measurement, check the version of the sound driver first. We recommend using the latest version of the driver. Then check the following settings.

Open the Sound and Multimedia Properties control panel and click the "Advanced" button. (Sorry that the images below are of Japanese OS)

Open the Performance tab, set the "Hardware acceleration" to None and the "Sample rate conversion quality" to Best.

DSSF3 > RA > Impulse response > Tips for the advanced measurement


Measurement examples
Measurement examples by RA can be seen in the Introduction to Sound Measurement. For the impulse response measurement, see the following:

DSSF3 > RA > Impulse response


Running ACF
  1. Introduction
  2. Features of RA's running ACF measurement system
  3. Measurement guide
    1. Connecting devices
    2. Input device setting
    3. Configuration of the measurement conditions
    4. Performing the measurement
    5. Loading the measurement data, wav file, importing the database
    6. Saving the measurement data
    7. Deleting the saved data
    8. Measurement data backup
  4. Measurement examples

DSSF3 > RA


Introduction
The spectrum analysis is the way to analyze signal in the frequency domain. On the other hand, the Auto-Correlation Function and the Cross-Correlation Function are the methods to analyze signal in the time domain.

The correlation function that shows the similarity of the signal itself is especially called the auto-correlation function (ACF). The ACF is a useful tool in the signal analysis because it can be used to detect the periodicity of the signal. It has been found that the ACF is strongly related to the subjective evaluation of sound. For example, in a concert hall, the most preferred reverberation time and the delay time of the reflections are calculated from the ACF of music to be performed.

The cross-correlation function (CCF) is used to investigate the similarity of two time series signals. CCF is expressed as a function of t (delay time) to show the time change of the similarity. By searching the delay time at which the cross correlation is the maximum, signal detection in noise or prediction of the transmission path of signal are possible.

The parameters extracted from the ACF and the IACF (inter-aural cross correlation function: the special case of the CCF measured by microphones at the ear positions) have a close relation with the primary sensations of sound, such as loudness, pitch, pitch strength, sound location, etc. Such features can be used for the sound quality analysis of noise, diagnosis of motor and fan, medical diagnosis of auscultation sound, or the analysis of voice quality.

DSSF3 > RA > Running ACF


Features of RA's running ACF measurement system
The Realtime Analyzer works as a data recorder for the Sound Analyzer, in which time histories of sound properties will be analyzed at a high time resolution. Tonal quality of sound, pitch and pitch strength, sound level, and spatial information of sound source can be analyzed from the detailed acoustical parameters.

  • High time resolution analysis of the acoustical parameters by SA*1
    Measured sound is saved in the database, and then analyzed by SA (Sound Analyzer). In SA, the acoustical parameters can be calculated by the time resolution up to 1 ms. Subjective attributes of sound, such as loudness, pitch, pitch strength, reverberation components, and the spatial properties of sound source, such as location, width of a source, diffuseness, are analyzed. Results can be exported in a .csv format file.
  • Recording, playback, editing of stereo sound
    Realtime Analyzer can be used as a sound recorder/editor tool. Easy selection of the input device, sound file import and export by WAV format is available.
  • Running ACF display By the simple measurement setting, a real time plot of the running ACF is possible. Data should be saved in the database for further analysis by the Sound Analyzer.
  • 96kHz sampling compatible*2
    Maximum sampling rate is 192 kHz if RA works with the latest sound devices.
  • 32bit wav format compatible*2
    Maximum resolution of WAV file is 32 bit.
*1 ACF/CCF measurement system has been developed assuming the post analysis by SA. We recommend RAD, RAE, DSSF3 Full-system version, or DSSF3 environmental noise, to use this function.
*2 These functions are available only in the latest version of RA (Ver. 5.0 or later). Check the version of your software.

DSSF3 > RA > Running ACF


Measurement guide
  1. Connecting devices
  2. Input device setting
  3. Configuration of the measurement conditions
  4. Performing the measurement
  5. Loading the measurement data, wav file, importing the database
  6. Saving the measurement data
  7. Deleting the saved data
  8. Measurement data backup

DSSF3 > RA > Running ACF


Connecting devices
As shown in the figure below, connect the microphones and the amplifier to the soundcard. To measure the CCF, two microphones are needed. If you use only one microphone, connect it to the left channel.

DSSF3 > RA > Running ACF > Measurement guide


Input device setting
Select the input device and the soundcard in the main window of RA. The Input device selection and volume control in RA is interlocked with the Windows recording control.

Check the Peak Level Monitor and adjust the input volume so that the peak level becomes between -10 and -5 dB. If the peak level reaches 0dB, the input signal might be distorted. See the operation guide to know more about volume setting.

DSSF3 > RA > Running ACF > Measurement guide


Configuration of the measurement conditions
Before performing the measurement, check the measurement settings and the display settings. The important settings are explained below. See the reference manual for other items.
Sampling Rate
48 kHz or 44.1 kHz is recommended. If your soundcard is the latest, 96 kHz may also be available.
Time
Set the measurement time of the ACF in second. By clicking up and down button, it can be specified between 1 and 30 s. Generally it should be set below 10 seconds. Longer measurement time can be set by entering the number in the box, but note that much memory is needed if you set the long measurement time. The maximum measurement time depends on the computer.
Channels
Select 1ch or 2ch. To measure the CCF, select 2ch.
Integration Time
Set the integration time of the ACF calculation. This value corresponds to the averaging time for calculating the sound intensity. It can be set between 0.001 and 10 s. But note that longer integration time results in the longer calculation time.
Running Step
Set the calculation interval of the ACF. This value can be set between 0.001 and 10 s. Shorter the this value, the more the number of calculation.
Freq. Weighting
Select the frequency weighting filter. Usually, select Flat or A-weighting. A-weighting filter roughly simulates the sensitivity curve of human ear that attenuates low and high frequencies.

DSSF3 > RA > Running ACF > Measurement guide


Performing the measurement
Start the measurement
Click the start button to perform a measurement. Input signal is recorded for the specified measurement time. Calculated ACF and the input waveform is displayed in real time.

Changing the display settings
After the measurement is finished, display settings can be changed. Click the Redraw button to display the new results.

Waveform display and replay sound
A temporal waveform of the recorded sound is displayed below the ACF graph. Horizontal axis is time [s] and the vertical axis represents the amplitude. When the input level is small, check the Normalization box. Normalized waveform between +1/-1 will be displayed for clarity. Click the Replay button to listen to the recorded sound.

Editing the input wave
Only the useful part of the signal can be saved by using the editing function. Right click the waveform display and drag the mouse. Then the selected area is displayed in blue. Click the Cut button to remain the selected area and cut out the non selected area.

DSSF3 > RA > Running ACF > Measurement guide


Loading the measurement data, wav file, importing the database
Click the Load button to open the "Load Measurement Data" dialog. Saved data is displayed on the dialog. Select the data and click the Load button.

To open the wav file, click the "Wave File" button. In RAD and RAE, loadable wav files are with the resolution of 16 bit. In DSSF3, wav files with 8, 16, and 32 bit can be loaded.

Click the Import button to load the measurement database. When selecting the folder in which the measurement data is saved, a file "FOLDER.DBF" is displayed as shown below. Select this file and click the Open button. By this operation, the previous measurement data is added to the current database. It is useful for comparison of different measurements at a time.

DSSF3 > RA > Running ACF > Measurement guide


Saving the measurement data
Click the "Save" button on the Running ACF window, then the "Save Measurement Data" dialog opens. To save data, 1) enter the title and comment on the data, 2) select the folder, and 3) click the "Save" button. Once the data is saved, the acoustical parameters can be calculated by using SA (Sound Analyzer)*. To save sound as a wav format, click the Wave File button.

When you make a new folder, click the "Folder..." button on the "Save Measurement Data" dialog. Folder Management dialog opens as in the figure below. Enter the title of the folder and click "New" button.

DSSF3 > RA > Running ACF > Measurement guide


Deleting the saved data
Click "Load" button. Folder and Measurement data are displayed. To delete specific data in a specific folder, 1) select the folder and 2) select the data, 3) then click the "Delete" button.

To delete a whole folder, 1) select the folder and 2) click the "Delete" button.

DSSF3 > RA > Running ACF > Measurement guide


Measurement data backup
Measurement data of Realtime Analyzer, Sound Analyzer, and Environmental noise Analyzer, and the related data such as the microphone calibration data, the inverse filter, and the noise source template, are stored in the common database. Below, it is explained how to manage the measurement data and delete the stored data.

All of the measured data and the microphone calibration data are stored in the DATA folder in the program folder (e.g. DSSF5E). The database of DSSF3 is 64-bit, and the maximum data size of 2000 GB can be stored. The database of RAE, RAD, and MMLIB is still 32-bit at the time of default installation, but once you install the DSSF3, these software can also use the 64-bit database.

On-line update of the program never erase the data you have stored in the DATA folder. However, when you "re-install" the program, all the data is erased, because the sample data overwrites the existing data. To protect the already stored data, you have to backup the existing data before reinstallation. How to backup data is as below.
  1. Rename the DATA folder (for example as DATA1).
  2. Install the program.
  3. Delete the automatically created DATA folder and rename the folder DATA1 to DATA.
This backup operation enables you to use the existing data after reinstallation.

Setting Utility to specify the data folder

In the RA series (RAD and RAE), measurement data is always stored in the "DATA" folder. To backup the data, this DATA folder has to be moved to the other location or renamed every time. But in DSSF3, this problem has been solved. If you are using the DSSF3 version 5, you can specify the data folder by using the setting utility (DSS.exe). Wherever the measurement data is saved (even in the other computer on the network), DSSF3 can use this data. By this function, management of the measurement data becomes much easier.
  1. Run the DSS.exe and click the Reference button.
  2. Specify the measurement data folder, then the file FOLDER.DBF is displayed. Select this file and click the Open button.
  3. Click the OK button. Now the data in the specified folder is used by the DSSF3.

DSSF3 > RA > Running ACF > Measurement guide


Measurement examples
Measurement examples by RA can be seen in the Introduction to Sound Measurement. Relevant application notes are the following.

DSSF3 > RA > Running ACF


Reference Manual
  1. Main Window
    1. Menu bar
    2. How to adjust the font size and window size
    3. Input Device and Peak Level Monitor
    4. Function buttons on the main window of RA
  2. Signal Generator
    1. Tone
    2. Noise
    3. Sweep
    4. Pulse
    5. Synthesis
    6. Scale
    7. Wave
  3. FFT Analyzer
    1. Common setting items
    2. Measurement displays
    3. Microphone calibration
    4. Data record
  4. Oscilloscope
    1. Items of the Oscilloscope
  5. Frequency response
    1. Common setting items
    2. Frequency sweep
    3. Spot frequency
    4. Pink noise
  6. THD Analyzer
    1. Common items of THD Analyzer
    2. Manual measurement
    3. Frequency sweep measurement
    4. Level sweep measurement
  7. Impulse Response
    1. Items on the Impulse response window
    2. Save Measurement Data
    3. Load Measurement Data
    4. Automatic adjustment
    5. Correction (inverse filter setting)
  8. Running ACF
    1. Items on the Running ACF window
    2. Save Measurement Data
    3. Load Measurement Data
  9. Recorder
  10. Preset
  11. Keyboard shortcut
  12. Appendix
    1. Selection of the input device and the input volume control
    2. Peak level monitor, Input monitoring and output monitoring function
    3. Time window in the FFT analyzer
    4. About volume control setting
    5. Test signal CD
    6. Time resolution and frequency resolution in the FFT analyzer
    7. About the correlation function

DSSF3 > RA


Main Window
  1. Menu bar
  2. How to adjust the font size and window size
  3. Input Device and Peak Level Monitor
  4. Function buttons on the main window of RA
Selection of the input and output device is done in the main window of RA. Adjustment of the input volume is done by the Windows volume control or by the volume control in RA's main window. These two controls are interlinked for ease of use. Measurement functions such as signal generator and FFT analyzer can be accessed from the named buttons in the bottom of the main window.

DSSF3 > RA > Reference Manual


Menu bar

Menu | Item | Description
File (F) | Exit (X) | Quit the application.
Tool (T) | Settings (S) | Adjust the font size and the window size for each measurement window. -> How to adjust the font size and window size
Window (W) | Signal generator (S) | Open / close the signal generator window.
 | FFT analyzer (F) | Open / close the FFT analyzer window.
 | Oscilloscope (O) | Open / close the oscilloscope window.
 | Impulse response (I) | Open / close the impulse response window.
 | Running ACF (A) | Open / close the running ACF window.
 | Preset (P) | Open / close the preset window.
 | THD analyzer (D) | Open / close the THD analyzer window.
 | Recorder (R) | Open / close the recorder window.
 | Current time (T) | Open / close the current time window.
Help (H) | Version information (V) | Show the version information.
 | Read me (R) | Open the read me file.
 | Online manual (M) | Open the online manual (only when connected to the Internet).
 | Technical support (S) | Open the technical support page (only when connected to the Internet).
 | Document Q&A (Q) | Open the Q&A page (only when connected to the Internet).
 | Online update (U) | Execute the online update (only when connected to the Internet, and available only in Version 5.x.x.x.).
 | License registration (L) | Open the registration dialog.
 | Buying YmecStore (Y) | Open the purchase page (only when connected to the Internet).
*Alphabets after the item name (_) show the shortcut keys.

DSSF3 > RA > Reference Manual > Main Window


How to adjust the font size and window size
Select the Tool > Settings from the menu bar. The setting dialog appears as below. Choose the font size for each measurement window and click the OK button. Font size and window size are changed. See the figures below to compare the size. Click the Default button to set them as default values (8 point).

DSSF3 > RA > Reference Manual > Main Window


Input Device and Peak Level Monitor

Item | Description
Sound device
Input | Sound device for input is specified.
Output | Sound device for output is specified.
Input Device
Control | Selection of an input device. It is same as the Windows volume control. Available input device for the sound card used is displayed (e.g. Microphone, Line-in, CD, WAVE, Mixer). When measuring digital signal, choose WAVE or Mixer (this name depends on your computer or sound driver).
Volume | Adjustment of the input signal volume. Normally, the peak level should be below -5 dB for preventing the distortion.
Peak Level Monitor
Input | Peak level monitor of an input signal.
Output | Peak level monitor of an output signal. This level can be adjusted only by the digital volume in signal generator. When playing wav files (in the Recorder, Running ACF or the Impulse response), peak level of that file is displayed in real time.

DSSF3 > RA > Reference Manual > Main Window


Function buttons on the main window of RA

Buttons | Descriptions
Signal Generator | Tone, noise, sweep and pulse is generated as a stereo signal. As for tone, sinusoidal, triangle, square, and saw-tooth wave can be chosen. Each channel can generate different signals with specified frequencies. White, pink, and brown noise can be chosen. Sweep is a tone signal whose frequency is varied continuously. Pulse signal is generated with specified number of time, duration and interval.
FFT Analyzer | Two channels spectrum analyzer, 1/1 to 1/24 octave band analyzer, 3D display (TEF or waterfall), correlation meter (auto- and cross-), phase meter, and spectrogram can be chosen.
Oscilloscope | Two channels oscilloscope. Auto triggering, level adjustment, X-Y mode (Lissajous pattern).
Frequency Response | The measurement using a sweep signal, spot frequency, and pink noise is possible.
THD Analyzer | Total Harmonic Distortion analyzer. Manual measurement of up to 30th harmonics, level sweep, and frequency sweep measurements are available.
Impulse Response | The impulse response of a room is measured automatically with MLS (Maximum Length Sequence) or TSP (Time Stretched Pulse) methods. Measured impulse response can be saved as wav files. Impulse response files (only wav) measured by the other measurement system can be imported.
Running ACF | The running ACF (autocorrelation function) and CCF (cross-correlation function) are measured. It is a time domain sound analysis method. Sound can be recorded up to 30 seconds. Recorded sound can be played and saved by wav. format. A wav. format sound file can be imported.
Recorder | Sound recorder and player that cooperates with all analyzer functions.
Auto Rec | Save the measured sound data to automatically set the directory.
Preset | Setup of RA can be stored as a "preset." By loading a preset, all settings of RA will be recovered. Each preset is named and comment can be added. This function not only shortens the preparation time before the measurement, but also reduces a mistake. It is highly recommended to use preset for precise measurement.
Exit | Real time analyzer program finishes.

DSSF3 > RA > Reference Manual > Main Window


Signal Generator
  1. Tone
  2. Noise
  3. Sweep
  4. Pulse
  5. Synthesis
  6. Scale
  7. Wave
In the signal generator, several kinds of the test signals (tone, noise, sweep, pulse) are generated. Recently, new functions "Synthesis" and "Scale" have been added. These functions allow easy generation of the complex tone and the musical scale in a various waveforms.

Note

Selection of the output device is a same operation as in Windows. When the sound is output from the loudspeakers, RA outputs the digital signal (WAVE signal) to the Windows sound mixer. Output volume is adjusted by the Windows volume control. To output the sound to external devices (e.g. amplifier), select "line" as the output device in Windows volume control.

Adjustment of output volume is done by Windows volume control. Output volume of the signal is adjusted on the Windows volume control and PC's hard volume. Another important function to control the output volume is "Digital Output" in the signal generator. This is an original function of RA. This volume adjusts the range of the digital signal, to make the signal not to be distorted. It is important to remember that many soundboards' performance becomes poor around their maximum output level.

Selection of the input device is a same operation as in Windows. To measure the sound and other signals by RA, selection of the soundcard and other input device, volume control, and combination of several input devices are controlled in Windows volume control.

Operation of the input microphones is same as in usual sound recording. Usually, "line" is used as the input device. If your PC does not have the line-in terminal, use the microphone input terminal. Alternatively, a soundcard with USB interface is available. Adjustment of the input volume is done by the Windows volume control or by the volume control in RA's main window. These two controls are interlinked for ease of use.

Basic measurement procedure
Input sound can be listened to, be displayed and be measured at the same time. For the measurement of the performance of audio devices, input the test signal (by use of the signal generator) to the device and measure its output by the oscilloscope or the FFT analyzer. Measurement results can be saved as a picture file by using the Windows screen copy function (Alt + PrtScr). Our image database software, MMLIB, is also convenient.

Common items in the Signal Generator

Note: The figure above is the signal generator window (Noise generator is selected). Just below the output "Start" button, elapsed time will be displayed. Sampling rate is now set to 44.1 kHz. There are two volume controls in this window. One is the "Digital Level", that controls the output level of the digital signal to the D/A converter. It is now set to 100%, meaning that the range of the digital signal is between -32767 and +32767 (maximum level in 16 bit resolution). But it is important to remember that most D/A converters cause distortion with such a high output level. Another is the "Output Level", that controls the analog amplifier's output level (after the D/A conversion). In addition, Windows volume control works to adjust the volume of the built in loudspeaker or the line-out. Note that adjusting the signal generator's output level and Windows volume control does not change the level of the digital signal. These volumes only work for the output of the loudspeaker or the line-out. Three volume controls mentioned are connected in series. It is important to adjust them not to cause distortion and to improve the S/N ratio at the same time. For how to do this, see the Operation Guide in the program manual.
Name | Description
Output Level | Adjustment of the analogue output level after the D/A converter. When the [Interlock] box is checked, left and right channels are outputted as the same level. This control is linked with the Windows' volume control.
Output | The output of sound signals starts by clicking the [Start] button. There is a stopwatch function. Time counter starts by clicking on the [Start] button and the time counter is displayed here during the output. The count lasts until the output is finished.
Sampling Rate | Number of sampling per second. Hardware is automatically checked and the available sampling rate is displayed. Generally, it is enough to use 44 kHz or 48 kHz.
Digital Level | Controls the output level of the digital signal that is fed into the D/A converter. This volume should be reduced if the output signal is distorted.
Exit | Signal Generator program finishes.

DSSF3 > RA > Reference Manual


Tone
In the tone generator, four kinds of waveforms (sinusoidal, triangle, square, sawtooth) are created. Its frequency is set by entering the numerical values, by moving the slider, or by choosing from presets. Frequency range of the slider bar can be chosen from the menu. Phase difference (degree) between channels can be specified. The phase, or time delay, can be seen in the oscilloscope or the phase meter. Phase can be adjusted to reproduce stereo signals without time delay at the listening position.

Note: The figure below is the signal generator window during the operation. The elapsed time is displayed as 21 sec. The output level is set separately for L and R channels. Output levels (54 and 43) are expressed in %. This level is set by entering values or by moving the sliders. Frequency is set to 300 Hz in both channels. Frequency is also set by entering values or by moving the sliders. Frequency range of the slider bar can be chosen from the menu. Now the range between 100 and 1kHz is chosen, so the small adjustment is easier than the figure above (10Hz-20kHz is chosen). Also, the preset frequency of "1k" is now changed to "300". This was done by setting the frequency (to 300 Hz), clicking the "Set" button and then "1k" button. Similarly, "10k" is changed to "500".

Waveform of the output tone is sinusoidal and triangular in the above and the below examples. In the above example, phase difference is also changed to -135 deg. Digital level is changed to 50%. All signals created in the signal generator will be compressed between +50/-50% to remove the distortion.

Items in Tone generator

Item | Description
Frequency | Specify a frequency by the numerical value or by the slider. When the [Interlock] box is checked, left and right channels are set equal.
Presets | Frequency of output signals can be saved as presets. To save the presets, click the "Set" button. Then specify the frequency by the slider or by entering the value. Finally click one of four presets buttons. Once the frequency is saved as a preset, the frequency is shown on the preset button. Default presets are 10, 100, 1k, and 10k Hz.
Frequency Range | Select the frequency range from the list. Then the range of the slider is changed.
Phase difference | Set the phase difference (Left - Right) between two channels in the range between -180 and +180 degree.
Waveform | Choose the waveform of output sound from [Sinusoidal], [Triangular], [Square] and [Sawtooth]. Arbitrary waveform stored in the "Wave" tab can also be selected.

* Four kinds of the waveform

DSSF3 > RA > Reference Manual > Signal Generator


Noise
In the noise generator, white noise, pink noise, and brown noise can be generated. Stereo signal can be generated as monaural, dual, and inverse modes. Those differences can be seen by the phase meter.

Time difference between channels can be set between -10 and +10 ms. Tone generator sets the phase difference between channels in "degree", but noise generator sets the time difference between channels in "ms". This is because the absolute phase depends on the frequency and it cannot be set in the noise signal. In the example shown below, pink noise is generated with the time difference of 0.1 ms.

Items in Noise generator
Field | Item | Description
Noise | White Noise | White noise contains equal energy for all frequency. Its power spectrum is flat.
 | Pink Noise | Pink noise contains equal energy for all octave frequency. Energy decreases for high frequency. Its octave band spectrum is flat.
 | Brown noise | Power spectrum of the brown noise decreases as the inverse square of its frequency (1 / f2).
Mode | Monaural | Outputs the same signal for left and right channels.
 | Dual | Outputs a different signal for each channel.
 | Inverse Phase | Outputs an inverse-phased signal for each channel.
Time difference |  | Specify the time difference between two channels in the range between -10 and +10 ms.

Note:
The above signal is displayed as below in the phase meter of the FFT analyzer. In the phase meter, the phase spectrum is displayed in real time.

Sound waveform is not recovered by only the amplitude spectrum. Phase of each frequency component is important. If there is no phase delay, each sinusoidal wave is simply added, but if there is a phase delay, it becomes complicated. If the peaks of two waveforms are synchronized, they are added, but if the peak and the dip are synchronized, they are subtracted. Two sinusoidal waves with the same frequency increases the sound level 6 dB when they are added in-phase, but they become zero when added out-of-phase. The adjustment of time delay is as important as the adjustment of the frequency response (amplitude spectrum).

DSSF3 > RA > Reference Manual > Signal Generator


Sweep
Signal generator can also generate a sweep signal. Sweep is a tone signal of which frequency is changed continuously between the specified range (From, To) with the specified speed. In the logarithmic sweep, the frequency increases with a fixed rate of octave change per time (octave/sec). This means that every octave contains the same energy. Its long time spectrum is same as the pink noise.

Sweep is a good signal for testing the loudspeaker. Waterfall display with a sweep signal is a very useful measure for the crossover network of the loudspeaker. By changing the sweeping frequency range and its speed, it can be tested in a various way.

Items in Sweep generator
Item |  | Description
Frequency | From To | The frequency sweep is generated from the frequency inputted in the [From] to the frequency inputted in the [To]. This is the logarithmic sweep, of which the frequency increases with a fixed rate of octave change per time. It means that the energy is constant within octave bands and it decreases at 3dB/oct.
Level | From To | The start level and end level of a sweep are set up.
Sweep Time |  | Sweep Rate [octave/sec].
Loop |  | Normally, a sweep signal is outputted only once. If [Loop] is checked, the output is repeated.
Waveform |  | Select the waveform of output sound.

DSSF3 > RA > Reference Manual > Signal Generator


Pulse
Pulse signal is generated with specified length, number of time, interval, and polarity. This is used for the measurement of the impulse response or the polarity of the loudspeaker.

Item | Description
Width of Pulse | Specify a width of pulse [ms].
Number of Pulse | Specify a number of output pulses. If [Repeat] is checked, it will be repeated for the number of pulses until the Stop button is clicked.
Period | Specify a period of the pulses [ms].
Polarity | Specify a polarity of pulses.

Note:
On the pulse generator window, the width of pulse is set to 0.023 ms. Number of pulse is 1 and its period is 10 ms. To check the waveform of this pulse, the recorder is used as below. Open the recorder window and check the "Recording" mode. Then click the start button on the signal generator. Output signal is automatically recorded. The figure below is the result. One pulse is recorded at 10 ms.

The recorded waveform is zoomed in to x19 in the figure below. In this figure, we can see that the very short pulse with the maximum volume is recorded. If the width of pulse was set to longer values, the waveform becomes square. If the polarity was set to "-", the amplitude becomes negative values.

The recorded sound can be saved as a wav format. A wav file can also be loaded on the recorder, and by using the "Playback" mode, it is automatically measured by the FFT analyzer or the oscilloscope.

DSSF3 > RA > Reference Manual > Signal Generator


Synthesis
A complex tone can be created easily on the Synthesis window. Set the fundamental frequency and select its waveform, then enter the harmonic number (Freq.[x]) and its relative level (Level[%]).

Items in Synthesis
Item | Description
Frequency Component | Freq. [x] | Specify the overtones as .x times of the fundamental frequency.
 | Level [%] | Specify the levels of the overtones in %.
Fundamental frequency |  | Specify the fundamental frequency of the signal by the slider or enter the value.
Waveform |  | Select the waveform of output sound.

Examples of complex tones
Left: Signal generator, Right: FFT analyzer
Ex.1: Fundamental frequency is 1000 Hz, overtones are x1, x2, x3, x4, and x5 with levels of 50 %.
Ex.2: Fundamental frequency is 1000 Hz, overtones are x1-x5, with levels of 100, 80, 60, 40, 20 %.

DSSF3 > RA > Reference Manual > Signal Generator


Scale
Musical scale generator is another new function. Check the "Play Mode" and click the keyboard to play a tone of that note. The frequency can also be specified by selecting the scale and the octave. Selected note is indicated on the keyboard by a green mark.

Items in Scale
Item | Description
Reference Pitch | Enter the frequency of A4. Default value is 440 Hz.
Waveform | Select the waveform of output sound.
Play Mode | Check here to play sound when clicking on the keyboard.
Scale | Specify the scale of note.
Frequency | Frequency of the selected scale is shown here.
Octave | Specify the octave of note.

Note:
Waveform of the output signal is displayed on the oscilloscope as below.

DSSF3 > RA > Reference Manual > Signal Generator


Wave
In the newly added Wave tab of the signal generator, arbitrary waveform can be created in the waveform editor and stored up to five waveforms. A signal can be tested by the oscilloscope or the spectrum in real-time, while editing the waveshape. Stored waveforms can be generated in an arbitrary frequency and in a sweep mode.

Items in Wave
Item | Description
Waveform | Select the stored waveform. Selected waveform is displayed above.
Edit | Open the waveform editor window.
Frequency | Set the frequency of the signal by moving the slider by entering the value. Edited waveform is generated in this frequency.

Waveform Editor window

Item | Description
Graph area | One period of the waveform is displayed. X axis is a relative time, and Y axis is amplitude. Vertical and horizontal axes can be zoomed up to x512 respectively.
Position | Position [X, Y] of the selected vertex is displayed.
Edit Mode | Add vertex: Check this and click on the graph to add a new vertex. Select vertex: Check this and click on the graph to select a vertex. Selected vertex is shown in a red point. Position of the vertex can be changed by dragging on the graph or by entering X, Y positions.
Delete vertex | Click this button to delete a selected vertex.
All clear | Click this button to delete all vertices.
Start | Click this button to start generating the currently edited waveform. Its waveform can be observed by the oscilloscope or the FFT analyzer.
Spline curve | Mark this checkbox to create a spline curve that interpolates vertices.
OK | Click this button to store the waveform.
Cancel | Click this button to do nothing and go back to the signal generator.

DSSF3 > RA > Reference Manual > Signal Generator


FFT Analyzer
  1. Common setting items
  2. Measurement displays
  3. Microphone calibration
  4. Data record
Channel mode (previously, 1ch or 2ch) has been extended to Mono, Stereo, Left only, Right only, L-R difference.

FFT analyzer is a powerful tool for measuring sound in real time. Power spectrum, Octave band analysis, Waterfall display, Correlation meter (auto- and cross-), Phase meter, and Spectrogram can be used.

Note:
Measurement screen can be saved as a picture file by using the Windows screen copy function (Alt + PrtScr). We also recommend the image database software, MMLIB. This software works with all other Windows applications. Attached image of email or Fax is easily stored in the multimedia database.

WAVE file, CD
Signal generator's output can be saved by wav format in the hard disk or on CDs. Then, these files can be used as test signals instead of the signal generator.

Simultaneous operation
Signal generator, sound recorder, FFT analyzer, and oscilloscope works simultaneously, unless input / output device conflicts. Capability of this operation depends on PC's performance.

Microphone calibration
For the measurement of the absolute sound level, an input level sensitivity can be calibrated. The sound level meter or the acoustic calibrator can be used for the calibration. Microphone's frequency response can also be compensated on the RA's calibration window, if you have the data provided from the manufacturer. This compensation is useful if you are measuring the frequency response of the audio device, such as the amplifier and the loudspeaker.

Use the sound level meter as a microphone
AC-OUT of the sound level meter is the amplified sound itself. It is same as measuring with the microphone and microphone amplifier. RA turns your PC into the sound level meter equipped with the octave band analyzer, the peak hold function, and the TEF (time / energy / frequency) analyzer.

DSSF3 > RA > Reference Manual


Common setting items

Commands or options | Descriptions
Input | Measurement starts with the [Start] button. Time counter starts when the Start button is clicked. The elapsed time is displayed here during a measurement.
Calibration | Microphone calibration data is managed. ->Microphone calibration
SPL | Peak level or total level for L (= left) and R (= right) are displayed in [dB]. By a left-click on the graph, the level and the frequency at the cursor's location is displayed. By a right-click, the cursor on the graph disappears and the total level is displayed.
Frequency | Peak frequencies for L (= left) and R (= right) are displayed in [Hz], when the cursor appears on the graph. When the cursor disappears, it is shown as [All].
Resolution | Time resolution and frequency resolution are displayed. F: frequency resolution [Hz]. T: time resolution [ms]. Appendix: more info about time resolution and frequency resolution
Split L-R | If this checkbox is marked, screen is split in two and data for two channels are displayed separately.
Screen Copy | Click to capture the snapshot of the measurement screen. You can record any number of measurement screens during a measurement. It is convenient for comparison and printing of measurement results.
Data Rec. | Click to open the data logging window (only available in the octave band analyzer). Time series data of the octave band level with a specified interval can be saved as a .CSV format. ->Data record
Output CSV | Output the measured data to a CSV Format file.
Exit | Finishes the "Realtime Analyzer".
Commands or options | Descriptions
Level Range | Set the display range of the sound pressure level (= vertical axis). Automatic and manual setting is available.
Freq. Range | Set the display range of the frequency (= horizontal axis). Automatic and manual setting is available.
Sampling Rate | Set the sampling rate of A/D conversion.
FFT Size | A block size of FFT (Fast Fourier Transform). It can be chosen between 1024 and 65536. Large FFT size causes fine frequency resolution and rough time resolution. Default setting can be used in most cases.
Time Window | The time window is used to decrease extra frequencies. Six window functions are available. Default setting can be used in most cases.
Channel Mode | Mono (L+R): Measured in a monaural mode of the soundcard. Stereo: Two channels are measured (left: blue, right: pink) Left only: Only left channel is measured Right only: Only right channel is measured Differ (L-R): Difference of L-R channels is measured Note: In a monaural mode (Mono), some sound cards input only the left channel, but some cards mix both channels into one channel. To measure only one channel input, use Left only or Right only mode.
Freq. Weighting | Select the frequency weighting filter from Flat, A-weighting, B-weighting, and C-weighting. Normally, Flat weighting is recommended. For measuring the noise level, A-weighting is commonly used.
Smoothing (T.C.) | Smoothing coefficient is specified as time constant (ms or s). Standard sound level meter settings (fast: 125 ms or slow: 1s) are available.
Moving Average | When the time is specified (1sec to 10sec, or Infinite), the average value for this period is displayed.
Freq. Axis | Setting of the scale of the frequency axis. Logarithm: Rate of the frequency is constant in this scale. Linear: Difference of the frequency is constant in this scale.
Time Resolution | Refresh speed of the real-time display is specified. "1x" (standard), "2x" (double), "4x" (4 times), and "8x" (8 times) can be chosen.
Peak Detection | Peak: A peak location is indicated by the blue crossing (In the case of 2 channels, blue and red).
 | Peak Hold: Peak values are held for some seconds. Auto Reset: peak indication is refreshed with the specified period. Manual Reset: peak indication is refreshed when the "Reset" button is clicked.
Time Range | It sets up in the range for 1 to 20 seconds.
Direction of Axis | Direction of the time axis in "Waterfall" and "Spectrogram". When [Forward] is selected, the time shifts forward on the screen. When [Backward] is selected, the time shifts backward.
Octave band | Bandwidth of the octave band analysis is selected from 1/1 to 1/24.
Color Scale | It is chosen whether by voiceprint display, the scale corresponding to a sound pressure level is displayed in a color, or it displays by the gradation of monochrome.
Correlation | ACF: Auto-correlation is displayed. CCF: Cross-correlation is displayed. Moving the "Zoom" slider makes it possible to zoom the correlation function to a suitable scale on time-axis.
Auto Stop | If the number of seconds specified after starting measurement passes, it will stop automatically.
 | Help button : click it to use a help function. Close button : click to close the analyzer window.

DSSF3 > RA > Reference Manual > FFT Analyzer


Measurement displays
Functions of the FFT analyzer
Display | Description
Power Spectrum | Measures the power spectrum of the input signal. Sound level is displayed as a function of frequency.
Octave band | Octave band analysis is performed. Energy at each octave band is displayed in real time. 1/1, 1/3, 1/6, 1/12, and 1/24 octave is available.
Waterfall | Time-energy-frequency analysis is performed. Results are displayed in the 3D graph.
Correlation | Auto- and Cross-correlation functions are measured.
Phase | Phase difference between channels is displayed as a function of frequency.
Spectrogram | Energy at a given time and frequency is displayed as a color map in the 2D diagram.
Cross Spectrum | The crossing spectrum between channels on either side is displayed. The cross spectrum did Fourier transform of a mutual correlative function.
Coherence | The coherence function between channels on either side is displayed. The coherence function divided modulus square of a cross spectrum by power spectrum.
Cepstrum | A cepstrum is displayed. A cepstrum changes a power spectrum into logarithm, and carries out inverse Fourier transform further.

DSSF3 > RA > Reference Manual > FFT Analyzer


Microphone calibration
For the measurement of the sound pressure level (SPL), an input level sensitivity can be calibrated. The sound level meter or the acoustic calibrator can be used for the calibration. Microphone's frequency response can also be compensated, if you have the data provided from the manufacturer. This compensation is useful if you are measuring the frequency response of the audio device, such as the amplifier and the loudspeaker.

This is a convenient function even though you don't need to calibrate SPL. Once the input level is adjusted and saved in the calibration window, input volume is re-adjusted automatically when the calibration data is selected.

Read Operation Guide 3. Microphone setting for a step by step instruction of microphone calibration.

Items in the Calibration dialog
Items | Description
Calibration Data list | Calibration data already stored in the database is displayed.
OK | Applies the selected calibration data.
Release | Releases the already applied calibration data.
Cancel | Closes the dialog without doing anything.
Edit | Opens the edit window for the calibration data.

Items in the Calibration dialog, edit window
Items | Description
Calibration Data list | Calibration data already stored in the database is displayed.
OK | Applies the selected calibration data.
Release | Releases the already applied calibration data.
Cancel | Closes the dialog without doing anything.
New | Saves the new calibration data.
Overwrite | Makes a change to the already stored calibration data.
Delete | Deletes the selected calibration data.
Items | Description
Information | Microphone Info., Mic Amp. Info. (optional), and Comment (optional) can be saved with the calibration data.
Frequency Response | Frequency response data is edited for compensation. The frequency response curve is created by entering [Frequency] and [Level] values. Only four frequencies of 10, 100, 1000, and 10000 are appeared in the list, but the new frequency values can be added by entering the number in the Frequency box and clicking the [Set] button.
Sensitivity Adjustment | Input level is indicated in dB. Frequency weighting can be selected from Flat, A-, B-, C-weighting. The input level can be adjusted by moving the scrollbar. Test signal (1kHz tone) can be generated. Note that the sensitivity adjustment for measuring the absolute sound pressure level must be done with the sound level meter or the acoustic calibrator.

Note: Supplement explanation of microphone calibration
If you are using two or more microphones, or doing measurements in different settings, you can store the calibration data for each setting. The calibration data can be used as a preset for the input device settings. Once you save the calibration data, input volume is re-adjusted automatically when that calibration data is selected.

It is important that a wide dynamic range and a high S/N ratio are obtained. So the calibration should be done by increasing the input level as much as possible with the expected sound level in the actual measurement. If necessary, several different calibration data can be used for different input sound level.

In the following example, the frequency response curve of Sony ECM-999 is edited, before the measurement of the loudspeaker's frequency response. This microphone covers a wide frequency range and a wide dynamic range. By compensating the frequency curve, more accurate measurement would be possible.

But note that the microphone compensation is recommended only for the frequency response measurement by using pink noise or white noise. For measuring transient sounds, we recommend to use the high quality microphone without compensation. It is because the amplitude spectrum (i.e. frequency response) can be compensated, but the phase spectrum (i.e. transient response) can not be compensated. Ideally, the microphone should have a flat frequency response and transient response to capture sound accurately, but generally it is not. Most microphones are adjusted so that they have balanced frequency response and transient response. If only the frequency response is compensated, its transient response is distorted. It is no problem for measuring the stationary sound such as pink noise and white noise, but it causes problems for measuring the transient sound (music, speech, etc.).

DSSF3 > RA > Reference Manual > FFT Analyzer


Data record
Data record function is available for the octave band analyzer. Click the "Data Record" button to open the Data Recording dialog. Measured sound pressure levels in all-pass and each octave band frequency can be recorded. This data can be saved as a CSV format, which can be manipulated by other applications like Microsoft Excel.

Items in the Data Recording dialog
Items | Description
Data list | Measurement data is displayed.
Record Timing | Automatic: Measured data is recorded automatically with the specified interval. Manual: Measured data is recorded when the "Record" button is clicked.
Delete | Deletes all data.
Delete at Start | Recorded data is deleted when the measurement is started.
Auto Scroll | Latest data is already displayed by scrolling the data list.
Save File | Saves the recorded data as .csv or .txt format.
Close | Closes the Data Recording dialog.

Note:
On the Data Recording window, record timing can be selected from automatic and manual. In the automatic mode, data is recorded in every interval. Minimum recording interval is 1 second. In the manual mode, data is recorded when the Record button is clicked.

For example, select the Automatic for record timing and start the measurement in the FFT analyzer. Then the octave band level is recorded automatically. Recorded data can be saved by CSV format, which is manipulated by other applications like Microsoft Excel. Time history of the sound pressure level, basic statistics (max, min, average, percentile), equivalent sound pressure level (Leq), noise criteria (NC) values can be easily calculated.

DSSF3 > RA > Reference Manual > FFT Analyzer


Oscilloscope
  1. Items of the Oscilloscope
Channel mode (previously, 1ch or 2ch) has been extended to Mono, Stereo, Left only, Right only, L-R difference.

The oscilloscope shows the waveform of the input signal in real time. Difficult settings can be ignored first. By just clicking the Start button, input signal is triggered and the level range is adjusted automatically. The waveform is displayed in the proper positions.

The waveform of the input signal is observed. Vertical axis is amplitude and horizontal axis is time. When "X-Y" check box is marked, horizontal axis is left channel's amplitude and vertical axis is right channel's amplitude. The mark on the left of window indicates the point of trigger start level.

Note:
When the input and the output signals are to be compared by the 2ch mode, it is important to remember that it is not possible to select different input devices (for example, line-in and wave) at the same time. It is a limitation of Windows' sound control. So, the signals to be measured should be fed into the separate channels of the same input device.

For example, let's consider the situation to measure the audio amplifier's output. We want to input the sinusoidal wave to the amplifier, measure the output of the amplifier, and compare it with the input waveform to know how much the signal is changed. In this case, one signal is the signal generator's output (this is the input to the amplifier) and another is the amplifier's output. To compare these signals, connect the Right channel of the soundcard's output directly to the Right channel input of the sound card (for measuring the signal generator's output), connect the Left channel output to the amplifier (for feeding the signal generator's output to the amplifier), and connect the amplifier's output to the Left channel input of the sound card (for measuring the amplifier's output).

Then, start the signal generator and the oscilloscope. You can see two waveforms (one is the input signal, and another is the output of the amplifier) on the oscilloscope screen at the same time. It can be easily observed whether the signal is correctly amplified, whether the signal is distorted or not. By changing two inputs of the soundcard, any signals can be compared similarly.

Snapshot of the measurement screen can be easily taken by the Screen Copy button. Automatic over sampling is applied to the signal to display the smoothed waveform especially for the short sweep time range.

DSSF3 > RA > Reference Manual


Items of the Oscilloscope
Item | Description
Start (Stop) | Starts (and stops) an oscilloscope.
Exit | Closes "Oscilloscope".
Screen Copy | Click to capture the measurement screen.
Level Range | Decides a value of one grid of the vertical axis in the oscilloscope display. For example, when the Level Range is set to 1, one grid becomes 1. When the Level Range is set to 32768, one grid becomes 32768. When the [Automatic] checkbox is marked, this value is set automatically so that the signal is displayed in an appropriate range.
Position | Vertical position of the waveform is adjusted by the slider for each channel. If [Center] button is clicked, the waveform is arranged at the middle of the window. If [Split] button is clicked, two waveforms are arranged vertically.
Item |  | Description
Trigger Settings |  | Trigger settings are adjusted here.
 | Level | Trigger level is set up. This is the starting point of a waveform. If the [Auto] checkbox is marked, trigger level is adjusted automatically.
 | Channel | Select the channel which becomes the object of trigger settings.
 | Slope | The timing of trigger. - Ascent: When a waveform gets over the trigger level in upward direction, the trigger is pulled. (A waveform starts upward.) - Descent: When a waveform gets over the trigger level downward, the trigger is pulled. (A waveform starts downward.)
 | Highcut | High frequency noise is cut.
 | Lowcut | Low frequency noise is cut.
 | Relative | If this checkbox is marked, it is indicated relatively. Without a check, an absolute position is shown.
 | Indication | The starting level of the trigger is indicated with " " mark.
 | Auto Trigger | If you check here, the waveform will be displayed even when it has no trigger for a certain period of time.
 | Single | Snapshot of the waveform is created when the [Reset] button is clicked.
 | Reset | Display is reset with this button, when the [Single] checkbox is marked.
Overlay |  | Automatic over sampling is applied to the signal to display the smoothed waveform especially for the short sweep time range.
Sweep Time Range |  | Time range of one grid on the horizontal axis [ms]. For displaying a low frequency signal, Sweep Time Range should be set to large. For example, to see one cycle of 1 Hz tone, Sweep Time Range has to be larger than 100ms/div. However, the calculation load becomes high at such a condition. It might be difficult to display a signal smoothly if you use a slow PC.
Delay Time |  | An interval from the input to the display [ms]. Select the time range from 1ms, 10ms, 100ms, and 1000ms in a popup menu. Then, adjust the delay time (= It is shown in the box) with the slider. For example, when you select "1ms" from a popup menu, The scale of the slider becomes 0-1 ms.
Display Mode
 | Lch Inverse | Inverts a waveform of left channel up and down.
 | Rch Inverse | Inverts a waveform of right channel up and down.
 | X-Y | Plots the left channel as a vertical axis and the right channel as a horizontal axis. This plot is called Lissajous pattern. It is shown with green lines.
 | Zero Level | The left channel displays zero level in the line where blue, the right channel are red.
Sampling Rate |  | Sampling rate of the A/D conversion.
Channels |  | Mono (L+R): Measured in a monaural mode of the soundcard. Stereo: Two channels are measured (left: blue, right: pink) Left only: Only left channel is measured Right only: Only right channel is measured Differ (L-R): Difference of L-R channels is measured Note In a monaural mode (Mono), some sound cards input only the left channel, but some cards mix both channels into one channel. To measure only one channel input, use Left only or Right only mode.

Note: Supplementary information of the oscilloscope
The oscilloscope is generally used in checking an operation of electronic circuits. Voltage variations in a short time, or its oscillating waveforms is measured in real time. RA's oscilloscope not only measures the voltage waveform but also waveforms of various signals through the input devices.

Input devices as below can be used by the oscilloscope.
Device | Description
WAVE | Sound signal generated inside the PC, such as Windows Media Player or RA's signal generator, can be measured.
SW synthesizer(MIDI) | Output signal of the SW synthesizer can be measured.
CD player | Signal in the CD (test signal or music) can be measured.
mic | Signal from the built-in microphones or devices connected to the microphone port can be measured.
telephony | Signal from the internal modem can be measured.
PCBeep | Phase difference between two channels can be measured.

The unit of the oscilloscope display is the amplitude of the digitized signal. Its maximum is +-32768 at the time of 16bit sampling. To measure the voltage, it is required to calibrate the input level using the voltmeter. Once the input voltage of the soundcard is calibrated, you can measure the voltage by the oscilloscope. Calibration can be done by feeding a stationary signal (e.g. sine tone) to the soundcard and by measuring its AC voltage.

The software does not have a maximum input voltage limit. Input signal to the oscilloscope is always scaled to the maximum level of the soundcard. Rather, the maximum input voltage is limited by the soundcard (usually it is around 1.0-1.5V). But even if the signal level exceeds the maximum voltage of the soundcard, it can be measured by using attenuator.

DSSF3 > RA > Reference Manual > Oscilloscope


Frequency response
  1. Common setting items
  2. Frequency sweep
  3. Spot frequency
  4. Pink noise

Frequency Response made a change of a level for frequency a graph. Frequency Response can be measured by three kinds of methods a Frequency Sweep, Spot Frequency, and Pink Noise.

Frequency Sweep is measured changing frequency continuously and the graph of the continuous smooth curve can be drawn. Spot Frequency is measured changing frequency gradually, since the filter which passes only the frequency under measurement is used, it is hard to be influenced by a noise and there is an advantage from which the most exact value is acquired. Pink Noise is the method of searching for a frequency characteristic by conducting FFT analysis of the pink noise, and there is the feature which can display the graph of all the frequency bands simultaneously.

DSSF3 > RA > Reference Manual


Common setting items

Common setting items
Commands or options | Descriptions
Measurement | Start to measure the frequency response. It stops if you click during the measurement. A bottom of a stop button is display the duration after the measurement of the frequency response is started.
Sampling Rate | Select the sampling rate for the measurement of the frequency response. The maximum frequency that can be measured is 1/2 of the sampling rate.
Channels | [1ch]: Measurement is performed by the Left channel only. [2ch]: Measurement is performed by both Left and Right channels.
Level Range | [Upper]: Input the maximum level of the vertical axis of the graph. [Lower]: Input the minimum level of the vertical axis of the graph.
Calibration | Microphone calibration data is managed.
Data Hold | Hold the measurement data.
Screen Copy | Open a new window to show the graph of the time of clicking. It is possible to open multiple windows simultaneously.
Output CSV | Output the measured data of the frequency response to a CSV Format file.
Exit | Close the measurement window of the frequency response.

DSSF3 > RA > Reference Manual > Frequency response


Frequency sweep
The graphical representation of the frequency characteristic is measured and carried out, changing frequency continuously.

Items of Sweep
Commands or options |  | Descriptions
Measurement Conditions | Begin | Input the frequency to start the measurement. The range of the input starts from 1 up to 1/2 of the sampling rate.
 | End | Input the frequency to end the measurement. The range of the input starts from 1 up to 1/2 of the sampling rate.
 | Sweep Time | Input the time to sweep from the start frequency to the end frequency. The input value should be more than 1.
 | Frequency | Display the frequency that is being measured.
Output Level |  | Set the level of the measurement. The range of the input is between 0 (maximum) and 60 (minimum).

DSSF3 > RA > Reference Manual > Frequency response


Spot frequency
The graphical representation of the frequency characteristic is measured and carried out, changing frequency gradually.

Items of Spot frequency
Commands or options |  | Descriptions
Measurement Conditions | Begin | Input the frequency to start the measurement. The range of the input starts from 1 up to 1/2 of the sampling rate.
 | End | Input the frequency to end the measurement. The range of the input starts from 1 up to 1/2 of the sampling rate.
 | Pont | Input the number of measurement positions between the start frequency and the end frequency. The input value should be more than 1.
 | Frequency | Display the frequency that is being measured.
Output Level |  | Set the level of the measurement. The range of the input is between 0 (maximum) and 60 (minimum).

DSSF3 > RA > Reference Manual > Frequency response


Pink noise
FFT analysis of the pink noise is conducted, and the graphical representation of the frequency characteristic is measured and carried out.

Items of pink noise
Commands or options |  | Descriptions
Measurement Conditions | Begin | Input the minimum frequency to display. The range of the input starts from 1 up to 1/2 of the sampling rate.
 | End | Input the maximum frequency to display. The range of the input starts from 1 up to 1/2 of the sampling rate.
 | Resolution | Select the resolution of the frequency. The higher the resolution, the more precise the measurement but the update rate for display delays.
 | Averaging | Moving average suppresses irregular changes and the smooth graph is displayed.
Output Level |  | Input the level of the measurement. The range of the input is between 0 (maximum) and 60 (minimum).

DSSF3 > RA > Reference Manual > Frequency response


THD Analyzer
  1. Common items of THD Analyzer
  2. Manual measurement
  3. Frequency sweep measurement
  4. Level sweep measurement
THD analyzer measures the Total Harmonic Distortion of the system. THD is a measure to evaluate the linearity of the system, and it is defined as the ratio of the geometric mean of the harmonic components (v1, v2, v3, v4, v5, ... v30) and the fundamental component (v1) when the sinusoidal wave is inputted to the system. Usually it is expressed in dB or %.

In the THD analyzer, three different measurements are available: a) manual measurement, in which the distortion is measured for the specific frequency and the output level, b) frequency sweep measurement, in which the measurement frequency is changed automatically, and c) level sweep measurement, in which the output level is changed automatically.

THD analyzer can measure the distortion of the amplifier very effectively. For example, connect the soundcard's output to the amplifier, and connect the amplifier's output to the soundcard's input. You don't need to connect the soundcard's output and input directly. THD analyzer compares the input and the output signals automatically and gives the result (distortion). Measurement result can be saved as a screen picture. MMLIB can be used to manage the image file.

DSSF3 > RA > Reference Manual


Common items of THD Analyzer

Item | Description
Measurement | Measurement starts with the [Start] button. Time counter starts when the Start button is clicked and the elapsed time is displayed here during the measurement. The time count lasts until the output is finished.
Sampling Rate | This item sets a sampling rate of A/D conversion.
Channels | 1ch: One channel (light blue) 2ch: Two channels (light blue and red)
Max Harmonics | This item sets the maximum harmonics that can be measured. Higher order enables correct measurement, but the CPU load also becomes high.
Guard Time | This item sets a time interval between the output of a measurement signal and the distortion measurement.
Scale | This item sets the unit of the distortion (% or dB) and the range of the graph (max and min).
Screen Copy | Open a new window to show the graph of the time of clicking.
Output CSV | Output the measured data of the THD response to a CSV Format file.
Exit | Close the measurement window of the THD Analyzer.

DSSF3 > RA > Reference Manual > THD Analyzer


Manual measurement
In the manual measurement, distortion is measured for the specified frequency and the output level. The total harmonics distortion and distortion for each harmonics are displayed.

Items of manual measurement
Item | Description
Measurement Frequency | This item sets the frequency to be measured. Move the slider or enter the value.
Measurement Level | This item sets the output level. The maximum level of the system is shown as 0 dB.
Setting | Check the Averaging box for displaying the averaged results during the measurement.
THD | THD (total harmonic distortion) that is currently measured is displayed.

DSSF3 > RA > Reference Manual > THD Analyzer


Frequency sweep measurement
In the frequency sweep measurement, the measurement frequency is changed automatically. Results are plotted for each frequency during the measurement.

Items of frequency sweep measurement

Item | Description
Measurement Frequency | Enter the Start frequency, the End frequency, and the number of points to be measured.
Measurement Level | This item sets the output level. The maximum level of the system is shown as 0 dB.
Setting | Check the Interpolation box for smoothing the distortion graph. Spline interpolation is used.
THD | Distortion that is currently measured is displayed.

DSSF3 > RA > Reference Manual > THD Analyzer


Level sweep measurement
In the level sweep measurement, the output level is changed automatically. Results are plotted for each level during the measurement.

Items of level sweep measurement

Item | Description
Measurement Frequency | This item sets the measurement frequency.
Measurement Level | Enter the Start level, the End level, and the number of points to be measured.
Setting | Check the Interpolation box for smoothing the distortion graph. Spline interpolation is used.
THD | Distortion that is currently measured is displayed.

DSSF3 > RA > Reference Manual > THD Analyzer


Impulse Response
  1. Items on the Impulse response window
  2. Save Measurement Data
  3. Load Measurement Data
  4. Automatic adjustment
  5. Correction (inverse filter setting)
In RA, the impulse response is measured by the simultaneous input and output of the MLS (or TSP) signal. Sampling rate, measurement time, and measurement channel (monaural or stereo) can be specified. Measured impulse response can be saved as a wav format or a text format. Output signal and input signal themselves can also be saved. Measurement data is managed in the common database in RA and SA.

From the measured impulse response, the important room acoustics parameters are easily analyzed by SA. Sound level, initial time delay gap between the direct and the reflected sound, reverberation time, and IACC are calculated for each 1/1 or 1/3 octave band. The impulse response is also used for the auralization (virtual acoustic reality) and the variety of sound effects, by using the well established convolution techniques.

Compensation of the loudspeaker and the microphone's response (frequency response and dynamic response) is possible by using the "inverse filter" function. It can be set at the time of measurement. Compensation of the frequency response of the microphone is also available.

Measurement data at many positions in a concert hall are easily managed by use of RA and SA. At the time of measurement by RA, the measurement conditions are recorded automatically in the database. Sound level is calculated as a relative level within a data folder, by specifying one data (or the maximum level) as a reference level.

RA is equipped with the measurement supporting functions for beginners. In the "Auto Retry" mode, measurement is repeated twice and the accuracy of the measurement is checked by comparing with the test measurement result. By using this function, measurement is repeated until the correct data is obtained. This is a very important function to make a measurement reliable.

See Impulse response guide for the step by step instruction.

DSSF3 > RA > Reference Manual


Items on the Impulse response window
Field | Description
Measurement | The measurement starts with [Start] button. Though the measurement finishes automatically, you can stop it with [Stop] button.
File | [Save...] button: Saves the data measured here. See: Save measurement data [Load...] button: Loads the data stored previously. See: Load measurement data
Sampling Rate | Available sampling rates of the sound card used are displayed.
Conditions | [Adjustment...] button: Input / output level, microphones position, measurement time are adjusted automatically. See: Adjustment
Measure Time | The time duration for measuring the impulse response. It is automatically adjusted.
Summation | The number of times that the measured impulse responses are added and averaged out. If this number becomes larger, S/N ratio is improved. But the time duration becomes longer.
Channels | Choose stereo (= 2 channels) or monaural (= 1 channel).
Method | The MLS method and the TSP method can be used in the impulse response measurement. It can be used only by choosing one of the MLS and the TSP. TSP is a signal in which the energy of an impulse is distributed on the time axis. In the TSP method, an impulse response is calculated by generating TSP signal, acquiring the response and returning the dispersed energy.
Auto level | It is adjusted so that an output level can become the most suitable. (The output signal is amplified within the range that the input doesn't become saturated, and S/N ratio is improved.) If you turn "Auto Level" off. You can adjust the sound volume (output level) using Windows sound volume control.
Auto Retry | Measurement will be repeated until distortion-free data can be obtained. You can release it at your option by switching on/off.
Correction | Unwanted response of the measurement system including microphone and loudspeaker is removed. [Setup...] button: Sets the Inverse filter. [Cancel] button: Cancels the Inverse filter. [Save...] button: Saves new Inverse filter. See: Correction (inverse filter setting)
Output Wave File | The data are saved in wave file format and text file format.
Play | Clicking on this enables to listen to the impulse response sound.
Launch SA | To analyze the measurement data to start the Sound Analyzer.
Exit | "Impulse Response" program is finished.
 | These buttons adjust the range of indication of impulse response.
Measurement Conditions | Various conditions of the measurement are shown. (Time, Measurement Time, Bits, Sampling Rate, Summation, Channels)

DSSF3 > RA > Reference Manual > Impulse Response


Save Measurement Data
By clicking [Save...] button on the "Impulse Response" window, the following "Save Measurement Data" window appears. The measured data will be stored in a folder.

When you measure impulse responses at many positions in a concert hall, save data in the same folder. Sound level will be calculated as a relative level within a data folder, by specifying one data (or the maximum level) as a reference level.

Field | Description
Folder | The folders, in which the measured data are stored, are listed.
Measurement Conditions | The measurement conditions of measured data are indicated.
Observations | Input the information about the data to save.
Title | Input data's name.
Comment | You can make optional comments upon the data.
Time | The time and date when data were measured.
Save | Saving is carried out.
Folder... | The folders in which the data are stored are managed. You can create new folder, alter the information such as folder's name, and delete a folder.
Cancel | Closes this dialogue, without doing anything.

< Procedure for saving measured Impulse Response data >
  1. Select the folder to save data;
    From [Folder] list box , select the folder into which you want to save the measured data. If you want to save in a new folder, click [Folder...] button and create a new folder there.
  2. Input data's name;
    Input the name of measured data into [Title] text box. And input the other information into [Comment] text box if necessary.
  3. Save the data;
    Carry out with [Save] button. If you want to cancel, click [Cancel] button.

Folder Management

Clicking [Folder...] button on "Save Measurement Data" window, the following "Folder Management" window appears.

Button and Field |  | Description
- |  | The folders, in which the measured data are stored, are listed.
Information about the folder.
 | Title | Folder's name.
 | Name | The person who carried out the measurement. (Optional)
 | Place | The place where the measurement was done. (Optional)
 | Comment | Optional information. (Optional)
 | Data | The date when the folder was created. It is set automatically.
 | Scale | In the case of experiment with a model, its scale is inputted. For example, you measured the impulse response for 1/10 scale model, you should input "10" in the box.
New |  | Creates a new folder, which has the information you have inputted to (2). The new folder appears in the list box.
Change |  | Changes the information about the folder which is selected in the list box. Select the folder in the list box, and the information about this folder are displayed in (2). Alter the information in (2) and then click this button.
Delete |  | Deletes the folder which is selected in the list box.
Exit |  | Closes this dialogue, without doing anything.

DSSF3 > RA > Reference Manual > Impulse Response


Load Measurement Data
Clicking [Load...] button on "Impulse Response" window, the following dialog appears. Select the impulse response data you want to load. Wav files of 8, 16, 32 bit can be loaded.

Field and button | Description
Folder | The folders, in which the measured data are stored, are listed. Here, select the folder which includes the data you want to load. The information (Title, Name, Place, Comment, and Date) about selected folder are shown below the list box.
Measurement Data | The data which are included in the folder selected in [Folder] list box (1) are listed. Here, select the data you want to load. The information (Title, Comment, and Time) about selected data are shown below the list box.
Load | Loads the data selected in [Measurement Data] list box (2).
Delete | Deletes the data selected in [Measurement Data] list box (2).
Folder | Opens [Folder Measurement] dialog.
Wave File | Loads wave file.
Import | Imports database of DSSF3/RAE/RAD.
Cancel | Closes this dialog without doing anything.
Database of the impulse response measurement can be imported from DSSF3/RAE/RAD on other PC.

DSSF3 > RA > Reference Manual > Impulse Response


Automatic adjustment
The following adjustment is not necessary if you can measure correctly. If you find difficulties, follow the instructions below.

RA has a function to check the measurement conditions. If they are not good, they can be adjusted automatically. Click the "Adjustment" button on the Impulse response window to open the Adjustment dialog as a figure below. Items to be checked are "Input Output Level", "Mic. Position", and "Measuring Time". OK will be displayed when the settings are correct.

Field | Description
Input Output Level | By clicking [Start] button, a signal sound is outputted. Then, adjust the volume of amplifier to the level marked with [Normal]. A result is indicated, "OK" or "NG".
Mic. Position | The difference between the distances from the sound source to left and right microphones is indicated in Distance text box. Adjust this value to "0".
Measuring Time | According to the size of reverberation in the sound field, the most suitable time for measuring is set. When the measurement time is shorter in comparison with the reverberation time, the measurement is not carried out exactly. And, when the measurement time is too long, it takes long time to measure and calculate.

DSSF3 > RA > Reference Manual > Impulse Response


Correction (inverse filter setting)
[Save] the inverse filter

In this window, the inverse filter is created from the measured impulse response. Only the initial part of the response should be selected because the response of the measurement system is included in this part.

Fields | Description
Impulse Response | Measured impulse response is shown. The yellow area represents a filtering range. Adjust the boundary of the yellow area, so as to include the part which is thought of as the impulse response of the measurement system within the yellow area. Drag left and right borderlines when the mouse cursor shape changes to "<-| |->" over borderline.
Filtering | Characteristics (Level, Phase) of the inverse filter corresponding to the impulse response which is cut out from (1) are indicated. Red curve is characteristic of sound pressure level, and green curve is the phase characteristic.
Title | Input the name for the present inverse filter.
Comment | Input the comment on the present inverse filter.
Maximum Level | Sets the SPL limit for correction of the inverse filter.
Phase Correction | When this box is checked, both SPL and phase are corrected. If not, only SPL is corrected. Ordinarily, it should be checked.
Save | Saves the inverse filter.
Exit | Closes this dialog.

[Setup] the inverse filter

To set the filter, click the "Setup" button and select the filter. Then start the measurement. The impulse response of a room excluding the response of the measurement system can be measured.

Field | Description
(List box) | The inverse filters which have been stored are listed.
Impulse Response | Measured impulse response is shown. The yellow area represents a filtering range. Adjust the boundary of the yellow area, so as to include the part which is thought of as the impulse response of the measurement system within the yellow area. Drag left and right borderlines when the mouse cursor shape changes to "<-| |->" over borderline.
Filtering | Characteristics (Level, Phase) of the inverse filter corresponding to the impulse response which is cut out from (2) are indicated. Red curve is characteristic of sound pressure level, and green curve is the phase characteristic.
Title | The name of the present inverse filter.
Comment | The comment on the present inverse filter.
Maximum Level | Sets the SPL limit for correction of the inverse filter.
Phase Correction | When this box is checked, both SPL and phase are corrected. If not, only SPL is corrected. Ordinarily, it should be checked.
OK | Applies the selected inverse filter to the measurement.
Cancel | Closes this dialog without doing anything.
Overwrite | Saves the altered inverse filter.
Delete | Deletes the selected inverse filter.

DSSF3 > RA > Reference Manual > Impulse Response


Running ACF
  1. Items on the Running ACF window
  2. Save Measurement Data
  3. Load Measurement Data
Conventional sound level meter measures sound level by two time constants, fast: 125 ms and slow: 1.0 s. Octave band analyzer measures the averaged sound levels in each frequency band. These methods are effective for the almost stationary sound, but are not helpful for measuring the time varying sound.

Instead, the running ACF measurement analyzes sound in the time domain by setting two parameters, the integration time and the running step. These parameters decide the averaging time and the calculation interval, respectively. In this way, temporally fluctuating sound is accurately measured. For example, averaged sound level of 0.5 s is calculated in every 0.2 s. Of course, those parameters can be set freely (between 0.001 s and 10 s) according to the target sound. The measured running ACF is displayed as a 3D graph.

Measured ACF data is saved in the measurement database, and analyzed by SA in detail with any condition. The acoustical parameters can be calculated by the time resolution up to 1 ms. Subjective attributes of sound, such as loudness, pitch, pitch strength, reverberation components, and the spatial properties of sound source, such as location, width of a source, diffuseness, are analyzed. Analysis results are stored with its conditions, so the comparison of results is quite easy.

Furthermore, SA has a powerful graphic function that displays the analysis results in an intelligible way. In this analysis result display, graphs and tables for each acoustic parameter are easily treated. For example, clicking the mark in the graph opens the data at that point. The analysis graphs of the ACF parameters can be zoomed in/out with a suitable time resolution for the precise display. Graphs are saved as image files, and tables are saved as a text format. Such original and powerful functions make analysis of huge amount of data very easily.

High analysis capability and user-friendly interface are the great features of RA and SA's running ACF measurement. This covers a wide range of application, such as the sound quality analysis of noise, diagnosis of motor and fan, medical diagnosis of auscultation sound, or the analysis of voice quality.

See running ACF guide for the step by step instruction.

DSSF3 > RA > Reference Manual


Items on the Running ACF window

Items |  | Descriptions
Graph (Upper) |  | The graph of the Running ACF is displayed. The vertical axis is the autocorrelation, the horizontal axis is the time, and the depth is the running step.
Measurement |  | The measurement starts with [Start] button. Although the measurement stops automatically if the time you have set passes by, it is possible to stop it with [Stop] button.
File |  | [Save...] button is used for saving the measured data in a file (database) See: Save measurement data [Load...] button is used for loading the stored data. See: Load measurement data
Measurement Settings | Sampling Rate | A sampling rate of A/D conversion. (44.1 or 48 kHz is recommended)
 | Time | Set the time for measuring.
 | Channels | Choose the number of channel used for measurement, 1 channel (monaural) or 2 channels (stereo).
Display Settings | Integration Time | Set the Integration Time of ACF between 0.001 and 10 s.
 | Running Step | Set the Running Step (calculation interval) between 0.001 and 10 s.
 | Time Range | Set the maximum value of the horizontal axis (t) in the graph.
 | Freq. Weighting | Select the frequency weighting filter.
 | Number of Data | Set the number of the data on the time axis (= The depth of graph)
 | Direction | Set the direction of the time axis of the graph. Forward: The time shifts forward. Backward: The time shifts backward.
 | Vertical Axis | Set the scale of the vertical axis (Autocorrelation value). Linear: Autocorrelation is indicated in linear scale between -1 and 1. If [Abs.] box is checked, absolute value of Autocorrelation is indicated between 0 and 1. Log: Autocorrelation is indicated in logarithm (decibel) scale. Its range is from 0 dB to the value inputted to the right text box.
 | Channel | In the case of stereo measurement, left channel's data is displayed by checking "L ch" radio button, and right channel's data is displayed by checking "R ch" radio button. (Left channel's data is displayed in light blue, and right channel's one is pink.) In the case of monaural measurement, only left channel is displayed.
 | Redraw | When the setting is changed, clicking on this button displays new data.
 | Realtime Graph | Displays in SA (Sound Analyzer) measured data.
Input Wave |  | The waveform of the input signal is displayed.
Normalization |  | The input data is normalized between -1 and 1.
Measurement Conditions |  | The measurement conditions (Time, Sampling Rate, Measurement Time) are shown.
Edit |  | Unnecessary part can be removed from the measured data. [Sel. Area] text boxes: Input the start and the end of the part you want to select. The selected area is painted with light blue. Or, this light blue area is changeable by dragging its left and right borderlines when the mouse cursor shape changes to "<-||->" over borderline. [Cut] button: Cuts off the part except light blue area. [All Sel.] button: Selects the whole area. (The whole area becomes light blue.) [Replay] button: Outputs the selected part (light blue area) from the speaker. During playback, a green line indicates where is replayed.
Launch SA |  | To analyze the measurement data to start the Sound Analyzer.
Exit |  | Finishes "Running ACF" program.

DSSF3 > RA > Reference Manual > Running ACF


Save Measurement Data
Clicking [Save...] button on "Running ACF" window, the following "Save Measurement Data" window appears. The measured data will be stored in a folder.

Field | Description
Folder | The folders, in which the measured data are stored, are listed.
Measurement Conditions | The measurement conditions of measured data are indicated.
Observations | Input the information about the data to save.
Title | Input data's name.
Comment | You can make optional comments upon the data.
Time | The time and date when data were measured.
Save | Saving is carried out
Folder... | The folders in which the data are stored are managed. You can create a new folder, alter the information such as folder's name, and delete a folder. ( -> Explained in the following section.)
Wave file | Saves as a Wave file.
Cancel | Closes this dialogue, without doing anything.

< Procedure for saving measured ACF data >
  1. Select the folder to save data;
    From [Folder] list box , select the folder into which you want to save the measured data. If you want to save in a new folder, click [Folder...] button and create a new folder there.
  2. Input data's name;
    Input the name of measured data into [Title] text box. And input the other information into [Comment] text box if necessary.
  3. Save the data;
    Carry out with [Save] button. If you want to cancel, click [Cancel] button.
< Folder Management >
Clicking [Folder...] button on "Save Measurement Data" window, the following "Folder Management" window appears.

Field and button |  | Description
- |  | The folders, in which the measured data are stored, are listed.
Information about the folder.
 | Title | Folder's name
 | Name | The person who carried out the measurement. (Optional)
 | Place | The place where the measurement was done. (Optional)
 | Comment | Optional information. (Optional)
 | Date | The date when the folder was created. It is set automatically.
 | Scale | In the case of experiment with a model, its scale is inputted.
New |  | Creates a new folder, which has the information you have inputted to (2). The new folder appears in the list box .
Change |  | Changes the information about the folder which is selected in the list box. Select the folder in the list box, and the information about this folder is displayed in (2). Alter the information in (2) and then click this [Change] button.
Delete |  | Deletes the folder which is selected in the list box.

DSSF3 > RA > Reference Manual > Running ACF


Load Measurement Data
Clicking [Load...] button on "Running ACF" window, the following dialog appears.
Select the ACF data you want to load, here.

Field | Description
Folder | The folders, in which the measured data are stored, are listed. Here, select the folder which includes the data you want to load. The information (Title, Name, Place, Comment, and Date) about selected folder are shown below the list box.
Measurement Data | The data which are included in the folder selected in [Folder] list box are listed. Here, select the data you want to load. The information (Title, Comment, and Time) about selected data are shown below the list box.
Load | Loads the data selected in [Measurement Data] list box.
Delete | Deletes the data selected in [Measurement Data] list box.
Folder... | Opens [Folder Management] dialog.
Wave file | Opens Wave file.
Import | Imports database of DSSF3/RAE/RAD.
Cancel | Closes this dialog without doing anything.

DSSF3 > RA > Reference Manual > Running ACF


Sound recorder
Sound recorder window has been newly added to RA. Recording of sound up to about 10 minutes is possible. Playback of the recorded sound can be measured by the FFT analyzer (e.g. Spectrum, octave analysis, oscilloscope, ACF/CCF measurement) at the same time.

Item | Description
Mode | Select the operation mode of the recorder. Recording: Check this box and start the analyzer to start recording. Playback: Check this box and start the analyzer to start playback.
Rec. Priority | When the signal input and output are performed at the same time (e.g. at the time of measuring the speaker response by using the pink noise), selected source is recorded. Input: Input signal is recorded. Output: Signal generator's output is recorded.
Wave File | Save: Click this button to save the recorded signal as a .wav format. Load: Click this button to load the already saved .wav files.
 | These buttons adjust the display range of the recorded signal.
Normalization | The recorded signal is normalized between -1 and 1. Note that the normalization is done only for the display. Actual signal amplitude is not changed when the signal is analyzed or saved in a file.
Rec. Time | Elapsed recording time is displayed.
Cut | Cut the selected waveform area. Unselected area is abandoned.
All Select | Select the full time range of the waveform.
Sel. Area | Selected area of the waveform is indicated.
Exit | Quit the Sound Recorder.

How to use sound recorder

To start recording, check the Recording box on the Recorder window. Then, start one of the Signal Generator, the FFT Analyzer, or the Oscilloscope. When the FFT Analyzer or the Oscilloscope is started, the input signal is recorded. When the Signal Generator is started, the generated signal is recorded. To stop recording, click the Stop button of the window that was started.

Right click on the recorded waveform and drug the mouse to change the selection. Selected region is displayed in blue. Click the Cut button to cut out the selected range. Click the Save button to Save the recorded signal as the wave file (.wav format).

Click the Load button to Load the wave file. Loaded wave file can be played and analyzed as the recorded sound. Sampling rate of the analyzer is automatically set to that of the wave file.

DSSF3 > RA > Reference Manual


Preset
All the settings of RA (measurement parameters and window positions) can be saved as "Preset" and can be recalled later. Once you save a Preset during a measurement, you can restart the measurement with exactly same conditions.

This function is very useful for shortening the preparation time and for reducing the mistakes in the measurement. If you are using the software in a group, settings for each user can be managed separately.

Button | Description
List box | The presets which were saved previously are listed.
OK | Reproduces the preset selected on the list box.
Cancel | Closes this dialogue, without doing anything.
New | Saves the current status.
Overwrite | Overwrites the preset selected on the list box by the current status.
Delete | Deletes the preset selected on the list box.
Make Shortcut | The shortcut of selected preset is created to a desktop.

DSSF3 > RA > Reference Manual


Keyboard shortcut
A keyboard shortcut is a combination of keys that can be pressed to do something that you normally do with the mouse. This topic instructs how to find and use keyboard shortcuts in RA.

For example, as in the figure below, items in the menu bar start with underbars like Window. This means that you can press Alt + W to see the window menu. The buttons on the RA's main window also have shortcuts (Signal Generator, FFT Analyzer, Oscilloscope, and so).

Some of the buttons on the measurement window also have shortcuts. The most useful one might be the Start / Stop key. To start and stop the measurement, just press the S key. In other window, several buttons have shortcuts as well. Check the measurement window and find useful shortcuts.

DSSF3 > RA > Reference Manual


Appendix
  1. Selection of the input device and the input volume control
  2. Peak level monitor, Input monitoring and output monitoring function
  3. Time window in the FFT analyzer
  4. About volume control setting
  5. Test signal CD
  6. Time resolution and frequency resolution in the FFT analyzer
  7. About the correlation function

DSSF3 > RA > Reference Manual


Selection of the input device and the input volume control
An input device selection in RA is being interlocked with the volume control of Windows. So, after this volume is adjusted, volume control of Windows may not be changed.

However, selection or volume control of an output device cannot be set up here. It is because volume control is separately required for each output. It is necessary to set these up directly in the Windows volume control.

Caution: don't select a microphone by the output device. If you do so, the microphone input will be outputted directly and howling will be caused.

DSSF3 > RA > Reference Manual > Appendix


Peak level monitor, Input monitoring and output monitoring function
Input monitoring function

A peak level monitor supervises the digitized value of the input signal after A/D converted. Volume is displayed in dB relative to the maximum volume of the sound device as 0 dB. If an input device check box is checked, an input signal is calculated from the output of a mixer and the peak level can be supervised. The signal is distorted if this level is reached to 0 dB. In order to avoid a distortion, this level should be adjusted to about -5 dB generally. But, this level is dependent on the performance of an analog sound circuit. It is necessary to check it by using a test signal and an oscilloscope.

Output monitor function

The output level expresses the peak level of the digital outputs. Actually, the peak value of the mixer output is displayed. This signal is inputted into a D/A converter, going through the built-in analogue amplifier, then outputted from the line-out or the a headphone output.

This output level does not change even if the reproduction volume is adjusted in the Windows volume control. This output level can be adjusted only by the "Digital Output" in the signal generator. To output the signal correctly, the performance of the built-in analog amplifier becomes a problem. If the amplifier is not distorted to a full range signal, the signal generator can be used with the maximum digital volume. It seems that, however, the common built-in amplifier does not have such a good performance. So, you have to use it in the range in which the signal is not distorted.

Amplifier exists also after the usual output volume. To check the proper level of this amplifier, you need to measure the line out signal connected to another PC' s line in by using the oscilloscope. In such a measurement, two PC are required (one is for generating a signal, and the other is for measuring that signal). This measurement is for the adjustment of the built-in amplifier of the PC, but the same procedure can be applied for the measurement of the general audio amplifier.

Once you adjust the digital output, the setting can always be used when using a signal generator. PC is used as a measuring instrument, but it is also an audio set simultaneously. It also becomes a noise level meter with the microphone. CD and DVD are also equipped. So, it can be said that the measurement of a PC will measure the performance of all equipment (if it says strictly). Conversely, it can be said, "All measurement can be performed if measurement of a PC can be performed correctly."

DSSF3 > RA > Reference Manual > Appendix


Time window in the FFT analyzer
The time window is used to decrease extra frequencies because frequency response is sometimes different because of a period with which a processed signal is taken out. When there is a portion that rapidly changes around the edge of the period taken out, it may influence the frequency response very much. Therefore, it is desired that the difference of the frequency response that depends on the chosen period is as small as possible. This "Time window" function prevents occurrence of high frequency components which is not included originally. As a shape of decrease is different by a kind of time window, it should be chosen properly. But in most cases, default setting of Hanning window is appropriate.

DSSF3 > RA > Reference Manual > Appendix


About volume control setting
The figure below is an illustration of the functional composition inside a PC.

The volume of the input device in RA controls the Windows volume control (recording). This is called "software volume."

Volume control of Windows should be silent except WAVE.

DSSF3 > RA > Reference Manual > Appendix


Test signal CD
For the accurate measurement, the signal CD is convenient. Clear test signals (without distortion, and with flat frequency characteristic) can be obtained easily. We recommend you to purchase this kind of CD even if you are using the DSSF3.

DSSF3 > RA > Reference Manual > Appendix


Time resolution and frequency resolution in the FFT analyzer
In the FFT analyzer, the input wave data is extracted for every FFT size, then calculated, and the result is displayed one by one.

Display interval, or time resolution [s] is calculated as FFT size / sampling rate.

Frequency resolution [Hz] is its reciprocal and calculated as sampling rate / FFT size.

The time resolution and the frequency resolution could not be improved simultaneously. To solve the problem, FFT calculation is not performed for every FFT size, but is performed with shifting data at a shorter interval. Consequently, the apparent time resolution can be improved with the frequency resolution maintained.

However, when the time resolution is raised, the number the FFT calculation within unit time and display processing will increase, and so the CPU load will much increased. Set the time resolution, looking at the rate of CPU use by the task manager of Windows.

DSSF3 > RA > Reference Manual > Appendix


About the correlation function
The cross-correlation function is used to investigate the similarity of two time series signals x(t) and y(t). Generally, it is expressed as the function of t (delay time) to show the time change of the similarity. Especially, the correlation function that shows the similarity of the signal itself is called the auto-correlation function (ACF). The ACF is a useful tool in signal analysis because it can be used to detect the periodicity of the signal. The ACF is defined as the following equation. In the equation, x(t) is the input signal, t is the delay time, and 2T is the integration time. The running ACF measured in RA is the short term ACF, which is calculated at a short interval with shifting the input data.

In RA and SA, three parameters can be set. The first is Integration time and the second is Max delay time (in RA, it is called Time range). These parameters decide how to calculate the ACF for each data frame. The illustration below shows the calculation process of the running ACF for two successive data frames. A portion of the input signal (C-D) is shifted, multiplied with the original signal (A-B), and summed up to calculate the correlation value at each sample (t). The max delay time decides the time range of t in which the ACF is calculated. When the max delay time is longer than the integration time, the ACF is calculated up to the max delay time. When the max delay time is shorter than the integration time, the ACF is calculated up to the max delay time too. The third parameter, Running step decides the calculation interval of the running ACF.

DSSF3 > RA > Reference Manual > Appendix


.topic 1000
Open the Signal Generator window.  Close the window if it is already open.

.topic 1001
Open the FFT Analyzer window.  Close the window if it is already open.

.topic 1002
Open the Oscilloscope window.  Close the window if it is already open.

.topic 1003
Open the Frequency Response window.  Close the window if it is already open.

.topic 1004
Open the THD Analyzer window.  Close the window if it is already open.

.topic 1005
Open the Impulse Response window.  Close the window if it is already open.

.topic 1006
Open the Running ACF window.  Close the window if it is already open.

.topic 1007
Open the Recorder window.  Close the window if it is already open.

.topic 1008
Open the Preset window.  Close the window if it is already open.

.topic 1009
Exit from the RealTime Analyzer.

.topic 1010
Choose an input sound device.  ASIO drivers are preceded with "[ASIO]" in the display.

.topic 1011
Choose an output device.  ASIO drivers are preceded with "[ASIO]" in the display.

.topic 1012
Choose the input source of the input sound device.  In case of ASIO drivers, you cannot choose.

.topic 1013
Set the input level of the input sound device.  In case of ASIO drivers, you cannot set.

.topic 1014
Display the peak value of the input level.  If it reaches 0dB, the input level is too high so you need to decrease [Volume] of the [Input Device].

.topic 1015
Display the peak value of the output level.

.topic 2000
Start the Signal Generator.  Clicking while it is in function will stop it.

.topic 2001
Display the duration of the Signal Generator.

.topic 2002
Choose a sampling rate for the Signal Generator.  The possible frequency to output is less than 1/2 of the sampling rate.

.topic 2003
Set the amplitude of the output by digital value.

.topic 2004
Input the amplitude of the output by digital value.  The value should be in the range of 0 to 100.

.topic 2005
Close the Signal Generator window.

.topic 2006
Adjust the output volume of the Left channel of the sound device.

.topic 2007
Adjust the output volume of the Right channel of the sound device.

.topic 2008
Input the output volume of the Left channel of the sound device.  The volume should be in the range of 0 to 100.

.topic 2009
Input the output volume of the Right channel of the sound device.  The volume should be in the range of 0 to 100.

.topic 2010
If the checkbox is marked, changing either Left or Right output level makes the other level change correspondingly.

.topic 2100
Set the frequency of the Left channel.

.topic 2101
Input the frequency of the Left channel.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 2102
Set the frequency of the Right channel.

.topic 2103
Input the frequency of the Right channel.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 2104
Select the preset frequency.  If you click this button after clicking on [Set] button, the frequency at that moment will be preset to this button.

.topic 2105
Set a frequency to a preset button.  If a preset button on the left is clicked after you click this button, the frequency at that moment will be preset to the button.

.topic 2106
Select the range of the frequency that can be set by the Frequency Setting Slider.

.topic 2107
If the checkbox is marked, changing either Left or Right frequency makes the other frequency change correspondingly.

.topic 2108
It sets a phase difference between Left and Right channels.  Positive values shift the phase of the Left channel and the negative values shift the phase of the Right channel.

.topic 2109
Input the phase difference between Left and Right channels.  It should be in the range of -180 to 180.

.topic 2110
The phase difference between Left and Right channels is set to 0.

.topic 2111
Select a waveform to output.

.topic 2200
Output the White noise.  The White noise contains equal energy distribution for all spectrums.

.topic 2201
Output the pink noise.  The Pink noise contains energy distribution which decreases by -3dB/oct toward high frequency.

.topic 2202
Output the Brown noise.  The Brown noise contains energy distribution which decreases by -6dB/oct toward high frequency.

.topic 2203
Output the same phased noises from Left and Right channels.

.topic 2204
Output unrelated noises independently from Left and Right channels.

.topic 2205
Output the inverse-phased noises from Left and Right channels.

.topic 2206
Set the range of time difference between Left and Right.  It cannot be set if [Dual] is selected in [Mode].

.topic 2207
Set the time difference between Left and Right.  Positive values delay the sound of the Left channel and negative values delay the sound of the Right channel.  It cannot be set if [Dual] is selected in [Mode].

.topic 2208
Set the time difference between Left and Right by the unit of ms.  Positive values delay the sound of the Left channel and negative values delay the sound of the Right channel.  It cannot be set if [Dual] is selected in [Mode].

.topic 2209
Set the time difference between Left and Right to 0.  It cannot be set if [Dual] is selected in [Mode].

.topic 2301
Input the frequency at the start of Sweep.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 2302
Input the frequency at the end of Sweep.  The range of the input starts from 1 up to 1/2 of the sampling rate.  If it is bigger than the start frequency, the frequency sweeps to higher.  If it is smaller, the frequency sweeps lower.

.topic 2303
Input the level at the start of Sweep.  It should be in the range of 1 to 999.  Output level is maximum at 0, and the bigger the value, the lower the output level.

.topic 2304
Input the level at the end of Sweep.  It should be in the range of 1 to 999.  Output level is maximum at 0 and the bigger the value, the lower the output level.

.topic 2305
Input the time for Sweep.  It should be in the range of 1 to 999.

.topic 2306
If the checkbox is marked, Sweep will be repeated continuously.  If it is not marked, it automatically stops when the sweep is done.

.topic 2307
Select the waveform to output.

.topic 2400
Select the time of pulse width.  The value range differs according to the sampling frequency because it is calculated by multiplying the sampling rate and integers.

.topic 2401
Input the number of pulses to output.  The input value should be more than 1.  It automatically stops after pulses are outputted for the number of times.

.topic 2402
Output pulses continuously until the [Stop] button is clicked.

.topic 2403
Input the pulse cycle (pulse period) by the unit of ms.

.topic 2404
Output the pulses in the positive direction.  Note that some sound device output to the negative direction.

.topic 2405
Output the pulses in the negative direction.  Note that some sound device output to the positive direction.

.topic 2406
Output pulses to positive and negative directions reciprocally.

.topic 2500
Input the number to multiply the basic frequency.  For example, when the basic frequency is 1kHz and the input value is 2, the output is 2kHz.

.topic 2501
Set the level for each spectrum.

.topic 2502
Input the level for each spectrum.  It should be in the range of 0 to 100.

.topic 2503
Set the basic frequency.

.topic 2504
Input the basic frequency.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 2505
Select the waveform to output.

.topic 2600
Output the musical scale of the clicked keyboard.  A green dot will be displayed at the position of the scale which is being outputted.

.topic 2601
Input the frequency of the reference scale (A4).  Normally, 440Hz is used.

.topic 2602
Select the waveform to output.

.topic 2603
If the checkbox is marked, without clicking [Start] button, the sound is outputted during a keyboard is clicked.

.topic 2604
Output Musical Scale C.

.topic 2605
Output musical scale C#(D-flat).

.topic 2606
Output Musical Scale D.

.topic 2607
Output Musical Scale D#(E-flat).

.topic 2608
Output Musical Scale E.

.topic 2609
Output Musical Scale F.

.topic 2610
Output Musical Scale F#(G-flat).

.topic 2611
Output Musical Scale G.

.topic 2612
Output Musical Scale G#(A-flat).

.topic 2613
Output Musical Scale A.

.topic 2614
Output Musical Scale A#(B-flat).

.topic 2615
Output Musical Scale B.

.topic 2616
Display the frequency of the scale which is being outputted.

.topic 2617
Select an octave.

.topic 2700
Display the waveform which is currently selected.

.topic 2701
Select a waveform to edit.

.topic 2702
Edit the selected waveform.

.topic 2703
Set the frequency to output.

.topic 2704
Input the frequency to output.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 2800
Click on a vertex (blue point) of the waveform in this window and edit the waveform.  The selected vertex turns red point.

.topic 2801
Display the zoom magnification of vertical direction of the waveform editing window.

.topic 2802
Scroll the waveform editing window vertically.

.topic 2804
Display the zoom magnification of horizontal direction of the waveform editing window.

.topic 2803
Scroll the waveform editing window horizontally.

.topic 2805
Display the position of the selected vertex (red point) on the axis-X.  Also, you can input any position of the abscissa.

.topic 2806
Display the position of the selected vertex (red point) on the axis-Y.  Also, you can input any position of the ordinate.

.topic 2807
Clicking on the waveform editing window while this radio button is selected will add a new vertex (red point) at that position.

.topic 2808
Clicking on the vertex (blue point) in the waveform editing window while this radio button is selected will let you select the vertex.  The selected vertex turns to red point and it can be moved or deleted.

.topic 2809
Delete the selected vertex (red point).

.topic 2810
Delete all vertices and initializes.

.topic 2811
Output the sound of the waveform which is being edited.

.topic 2812
If the checkbox is marked, the vertices are connected by a spline curve.

.topic 2813
Save the edited waveform and close this dialog box.

.topic 2814
Close this dialog box without saving the edited waveform.

.topic 2815
Cancel the horizontal zoom of the waveform editing window.

.topic 2816
The waveform editing window is zoomed in horizontally.

.topic 2817
The waveform editing window is zoomed out horizontally.

.topic 2818
Cancel the vertical zoom of the waveform editing window.

.topic 2819
The waveform editing window is zoomed in vertically.

.topic 2820
The waveform editing window is zoomed out vertically.

.topic 2821
Display the waveform.

.topic 2822
Set the amplitude of the modulator;

.topic 2823
Set the frequency of the modulator;

.topic 3000
Display the graph which is selected by a tab.

.topic 3001
Start FFT Analyzer.  Clicking while itfs in function stops it.

.topic 3002
Display the duration after FFT Analyzer started.

.topic 3003
Display the name of the calibration.  No name is shown if no calibration is performed.

.topic 3004
Open the calibration setting window.

.topic 3005
Display the vertical data of the Left channel.

.topic 3006
Display the vertical data of the Right channel.

.topic 3007
Display the horizontal data of the Left channel.

.topic 3008
Display the horizontal data of the Right channel.

.topic 3009
Display the frequency resolution of the Left channel.

.topic 3010
Display the frequency resolution of the Right channel.

.topic 3011
Open a new window to show the graph of the time of clicking.  It is possible to open multiple windows simultaneously.

.topic 3012
If the checkbox is marked, the graphs of the Left and the Right channels are displayed separately.  If this is not marked, both channels are displayed simultaneously in one graph.

.topic 3013
Clicking while the octave band is displayed will open the Data Recording window.  It cannot be clicked if the octave band is not displayed.

.topic 3014
Output the data to a CSV Format file.

.topic 3015
Close the FFT Analyzer window.

.topic 3016
If the checkbox is marked, it automatically adjusts the scale of the level (the vertical axis) to the best suited range.

.topic 3017
Input the maximum scale of the level (the vertical axis).

.topic 3018
Input the minimum scale of the level (the vertical axis).

.topic 3019
If the checkbox is marked, it automatically adjusts the scale of the frequency (the horizontal axis) to the best suited range.

.topic 3020
Input the maximum scale of the frequency (the vertical axis).

.topic 3021
Input the minimum scale of the frequency (the vertical axis).

.topic 3022
Select the sampling rate of FFT Analyzer.  The frequency which can be displayed in the graph is 1/2 of the sampling rate.

.topic 3023
Select the data size for FFT calculation.  The bigger the size, the higher the resolution of the frequency.  But the resolution of time (update rate) declines.

.topic 3024
Select the Window Function.  The frequency resolution and the amplitude of the side-lobe differ according to the type of Window Function and it should be selected for your purpose of the measurement.

.topic 3025
Select the type of the channel to measure.

.topic 3026
Select the filter property.  If you donft use any filters, select Flat.

.topic 3027
Performs smoothing by the selected time constant.  If the graph is unstable with a lot of noise, it can be stabilized by selecting bigger values.

.topic 3028
Performs Moving-Average by the selected number of the second.  Like smoothing, this is effective when a lot of noise is contained.

.topic 3029
Display the frequency axis by the logarithmic scale.

.topic 3030
Display the frequency axis by the linear scale.

.topic 3031
Increases the time resolution (update rate) by the selected magnification rate.  Note that this increases the CPU load so you should select small values if you want to decline the CPU usage.

.topic 3032
If the checkbox is marked, the peak data is displayed with emphasis.

.topic 3033
If the checkbox is marked, the peak data is stored temporarily and displayed.

.topic 3034
Reset the peak data automatically with the specified interval of the second.

.topic 3035
Input the number of the second to reset the peak data automatically.

.topic 3036
Allows you to reset the peak data by clicking on [Reset] button.

.topic 3037
Reset the peak data.

.topic 3038
Select the number of the second on the horizontal axis of the [Spectrogram] display.  This cannot be selected if it is not the [Spectrogram] display.

.topic 3039
Select the number of the data on the time axis of the [Waterfall] display.  This cannot be selected if it is not the [Waterfall] display.

.topic 3040
Display the time axis of [Waterfall] and the [Spectrogram] display forward.

.topic 3041
Display the time axis of [Waterfall] and the [Spectrogram] display backward.

.topic 3042
Magnifies the time axis when [Correlation] is displayed.

.topic 3043
Select the number of division per octave when [Octave band] is displayed.

.topic 3044
Display the scale to show the level in color when [Spectrogram] is displayed.

.topic 3045
Display the scale to show the level by light and shade of monochrome when [Spectrogram] is displayed.

.topic 3046
Display Auto-Correlation function when [Correlation] is displayed.

.topic 3047
Display the Cross-Correlation function when [Correlation] is displayed.

.topic 3048
Stop automatically after the number of the second specified here after [Start] button is clicked.  If 0 is input, it does not stop until [Stop] button is clicked.

.topic 3100
Display the data of the recorded octave band.

.topic 3101
Record the data automatically with a certain interval.  Set the cycle at [Interval] box.

.topic 3102
Input the time interval for recording when [Automatic] is selected.  The input value should be more than 1.

.topic 3103
Record the data when [Record] button is clicked.

.topic 3104
Record the data at the time of clicking when [Manual] is selected.

.topic 3105
Erase the data which is displayed.

.topic 3106
If the checkbox is marked, it erases the previously recorded data at the start of the measurement.  If this is not marked, it adds to the previous record.

.topic 3107
If the checkbox is marked, the list is scrolled automatically so that the latest data is always displayed.

.topic 3108
Save the recorded data to a CSV Format file.

.topic 3109
Close this window.

.topic 4000
Display the list of stored calibration data.

.topic 4001
Apply the selected calibration data and close this dialog box.

.topic 4002
Cancel the calibration of the microphone.  When it is cancelled, the graph is displayed by the relative values, in which the maximum level of the input data is 0dB.

.topic 4003
Close this dialog box without any actions.

.topic 4004
Record new calibration data.  Set the Calibration data at the bottom of the dialog box before clicking.

.topic 4005
Save the Calibration data by overwriting.  First, select the Calibration data in the Calibration Data list that you want to change.  Then, modify the Calibration data which is displayed before clicking.

.topic 4006
Display the Calibration data at the bottom of the dialog box fro editing.

.topic 4007
Delete the selected Calibration data in the [Calibration Data list].

.topic 4008
Select if you want to set the same Calibration data to Left and Right channels.

.topic 4009
Select if you want to set the different Calibration data to Left and Right channels.

.topic 4010
Output 1kHz test signal for the Calibration by the sound level meter.

.topic 4011
Input information about the microphone to be used.  Input is mandatory but any information will do.

.topic 4012
Input information about the microphone amplifier to be used.  Input is voluntary.

.topic 4013
Input comments about the Calibration data.  Input is voluntary.

.topic 4014
Display the input level at present.  At Calibration, place the microphone and the sound level meter to be used at the same place and adjust the scroll bar so that this value should be the same as that of the sound level meter.

.topic 4015
Select the same filter property as the sound level meter which is used for Calibration.

.topic 4016

At Calibration, place the microphone and the sound level meter to be used at the same place and adjust the scroll bar so that the above input level should be the same as that of the sound level meter.

.topic 4017
Display the frequency response of the microphone.  If you set frequencies and levels of some spots by the [Set] button on the right side, a spline curve is displayed to connect them.  At measurement, by using the filter which has the opposite characteristics of the curve, the characteristics of the microphone will be adjusted to be flat.

.topic 4018
Display the list of the frequencies and the levels which you set by [Set] button on the right.

.topic 4019
Select some combinations of frequencies and levels from the frequency response table of the microphone, and input the frequencies.  Especially, if you input more data around the part where the frequency response changes, the accuracy will be improved.

.topic 4020
Select some combinations of frequencies and levels from the frequency response table of the microphone, and input the levels.  Especially, if you input more data around the part where the frequency response changes, the accuracy will be improved.

.topic 4021
Set the inputted frequency and the level as the frequency response.  If this is not set, the frequency response is assumed to be flat.

.topic 4022
Delete the selected combination of a frequency and a level in the left list.

.topic 5000
Display the inputted waveform.  The setting information is displayed above.

.topic 5001
Start the Oscilloscope.  Clicking while it is in function stops it.

.topic 5002
Display the duration after the Oscilloscope is started to function.

.topic 5003
Close the Oscilloscope window.

.topic 5004
Open a new window to show the waveform of the time of clicking.  It is possible to open multiple windows simultaneously.

.topic 5005
Adjust the level sensitivity of the Left channel.

.topic 5006
Display the level sensitivity of the Left channel by A/D conversion value per scale unit.

.topic 5007
Adjust the level sensitivity of the Right channel.

.topic 5008
Display the level sensitivity of the Right channel by A/D conversion value per scale unit.

.topic 5009
If checkbox is marked, it automatically adjusts the level sensitivity according to the input level.

.topic 5010
If checkbox is marked, changing either Left or Right level makes the other level change correspondingly.

.topic 5011
Adjust the vertical display position of the Left channel.

.topic 5012
Display the vertical display position of the Left channel by the range of -50 (bottom) to 50 (top).

.topic 5013
Adjust the vertical display position of the Right channel.

.topic 5014
Display the vertical display position of the Right channel by the range of -50 (bottom) to 50 (top).

.topic 5015
Set the vertical positions of both Left and Right channels to be the center.

.topic 5016
Display the Left channel in the above and the Right channel in the below.

.topic 5017
Adjust the trigger level.  If the display checkbox is marked on the right, the trigger position is displayed by a green triangle.

.topic 5018
Display the trigger level by the range of -50 (bottom) to 50 (top).

.topic 5019
Set the trigger level automatically to the center of the amplitude of the inputted waveform.

.topic 5020
Trigger by the inputted waveform of the Left channel.

.topic 5021
Trigger by the inputted waveform of the Right channel.

.topic 5022
Trigger when the inputted waveform crosses over the trigger level from below to above.

.topic 5023
Trigger when the inputted waveform crosses over the trigger level from above to below.

.topic 5024
If the checkbox is marked, the inputted waveform goes through the high cut filter (low-pass filter) to be triggered.  Turns this ON when the inputted waveform is unstable due to the high frequency noise.

.topic 5025
If the checkbox is marked, the inputted waveform goes through the low cut filter (high-pass filter) to be triggered.  Turns this ON when the inputted waveform is unstable due to the low frequency noise.

.topic 5026
If the checkbox is marked, sets the trigger level relatively based on the display position.  If it is not marked, sets by the absolute position regardless of the display position.

.topic 5027
If the checkbox is marked, the trigger level is displayed by a green triangle.

.topic 5028
If the checkbox is marked, Sweep is performed even if therefs no trigger for a certain period of time.

.topic 5029
If the checkbox is marked, Sweep is performed when itfs triggered for once.  [Reset] button on the right will reset the trigger.

.topic 5030
Clicking this in the Single Trigger Mode ([Single] checkbox is on) resets the trigger and let the trigger perform again.

.topic 5031
Display the overlaid inputted waveforms for the number of selection.

.topic 5032
Set the time for Sweep.  Moving the slider to the right makes the sweep faster.

.topic 5033
Display the sweep time per the scale unit of time (unit ms).

.topic 5034
Select the maximum delay time to start the sweep after the trigger.

.topic 5035
Set the delay time to start the sweep after the trigger.

.topic 5036
Display the delay time to start the sweep after the trigger.

.topic 5037
If the checkbox is marked, the waveform of the Left channel is up-down reversed.

.topic 5038
If the checkbox is marked, the waveform of the Right channel is up-down reversed.

.topic 5039
If the checkbox is marked, input the waveform of the Left channel to the horizontal axis and the waveform of the Right channel to the vertical axis and display the Lissajous pattern.

.topic 5040
If the checkbox is marked, a blue line for the Left channel and a red line for the Right channel are displayed at the zero level position.

.topic 5041
Select the sampling rate of FFT analyzer.  The maximum frequency to input is 1/2 of the sampling rate.

.topic 5042
Select the type of the channel to display on the Oscilloscope.

.topic 5043
Open the calibration setting window.

.topic 6000
Start to measure the frequency response.  It stops if you click during the measurement.

.topic 6001
Display the duration after the measurement of the frequency response is started.

.topic 6002
Select the sampling rate for the measurement of the frequency response.  The maximum frequency that can be measured is 1/2 of the sampling rate.

.topic 6003
Measurement is performed by the Left channel only.

.topic 6004
Measurement is performed by both Left and Right channels.

.topic 6005
Input the maximum level of the vertical axis of the graph.

.topic 6006
Input the minimum level of the vertical axis of the graph.

.topic 6007
Open a new window to show the graph of the time of clicking.  It is possible to open multiple windows simultaneously.

.topic 6008
Output the measured data of the frequency response to a CSV Format file.

.topic 6009
Close the measurement window of the frequency response.

.topic 6012
Holds the current display of measurement data.

.topic 6013
Remove the measurement data they hold.

.topic 6100
Display the graph of the measured frequency response.  The measurement of the frequency Sweep is performed by changing the frequency continuously and it is characterized that a smooth curve can be obtained.

.topic 6101
Input the frequency to start the measurement.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 6102
Input the frequency to end the measurement.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 6103
Input the time to sweep from the start frequency to the end frequency.  The input value should be more than 1.

.topic 6104
Display the frequency that is being measured.

.topic 6105
Set the level of the measurement.

.topic 6106
Set the level of the measurement.  The range of the input is between 0 (maximum) and 60 (minimum).

.topic 6200
Display the graph of the measured frequency response.  In the spot frequency measurement, the frequency to be measured is changed by steps and the filters that can pass only the frequency to be measured are used so that the influence of the noise is little and it is characterized that the most precise result can be obtained.

.topic 6201
Input the frequency to start the measurement.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 6202
Input the frequency to end the measurement.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 6203
Input the number of measurement positions between the start frequency and the end frequency.  The input value should be more than 1.

.topic 6204
Display the frequency that is being measured.

.topic 6205
Set the level of measurement.

.topic 6206
Set the level of the measurement.  The range of the input is between 0 (maximum) and 60 (minimum).

.topic 6300
Display the graph of the measured frequency response.  In the Pink Noise measurement, pink noise is outputted and the input data is analyzed by FFT so that it is characterized that the responses of all frequencies can be obtained simultaneously.

.topic 6301
Input the minimum frequency to display.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 6302
Input the maximum frequency to display.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 6303
Select the resolution of the frequency.  The higher the resolution, the more precise the measurement but the update rate for display delays.

.topic 6304
Moving average suppresses irregular changes and the smooth graph is displayed.

.topic 6305
Set the level of the measurement.

.topic 6306
Input the level of the measurement.  The range of the input is between 0 (maximum) and 60 (minimum).

.topic 7000
Start the measurement of the harmonic distortion.  If you click during the measurement, it stops.

.topic 7001
Display the duration after the measurement of the harmonic distortion is started.

.topic 7002
Select the sampling rate of the measurement of the harmonic distortion.  The maximum high frequency that can be measured is the frequency which is 1/2 of the sampling rate.

.topic 7003
Measure with the Left channel only.

.topic 7004
Measure with both Left and Right channels.

.topic 7005
Select the degree of the maximum high frequency to be used in calculating the harmonic distortion.  Note that the high frequency which exceeds the frequency of 1/2 of the sampling rate cannot be measured even if it is within the selected degree.

.topic 7006
In the measurement of the frequency sweep or the level sweep, the measurement is performed after a certain period of time when the transitional change, which is caused by the change of the frequency and the level, is collected and the input data is stabilized.  Select the waiting time for it.

.topic 7007
Display the scale of the harmonic distortion by percentage.

.topic 7008
Display the scale of the harmonic distortion by dB.

.topic 7009
Select the maximum value of the scale of the harmonic distortion.

.topic 7010
Select the minimum value of the scale of the harmonic distortion.

.topic 7011
Open a new window to show the graph of the time of clicking.  It is possible to open multiple windows simultaneously.

.topic 7012
Output the measured data of the harmonic distortion to a CSV Format file.

.topic 7013
Close the THD Analyzer window.

.topic 7014
Holds the current display of measurement data.

.topic 7015
Remove the measurement data they hold.

.topic 7100
Display the graph of the manual measurement.  In the manual measurement, the measurement is performed with the frequency and the level which are previously set, and the harmonic distortion (THD) and the level of each degree of high frequency are displayed by bar graphs.

.topic 7101
Set the frequency to measure.

.topic 7102
Input the frequency to measure.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 7103
Set the level of the measurement.

.topic 7104
Input the level of the measurement.  The range of the input is between 0 (maximum) and 60 (minimum).

.topic 7105
Display the measured value which is averaged by time.

.topic 7106
Display the harmonic distortion (THD) of the Left channel which is being measured.

.topic 7107
Display the harmonic distortion (THD) of the Right channel which is being measured.

.topic 7200
Display the graph of frequency sweep measurement.  In the frequency sweep measurement, the frequency to be measured is changed by steps, and the harmonic distortions to the frequencies are displayed by line graphs.

.topic 7201
Input the frequency to start the measurement.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 7202
Input the frequency to end the measurement.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 7203
Input the number of measurement positions between the start frequency and the end frequency.  The input value should be more than 1.

.topic 7204
Display the frequency which is being measured.

.topic 7205
Set the level of the measurement.

.topic 7206
Input the level of the measurement.  The range of the input is between 0 (maximum) and 60 (minimum).

.topic 7207
If the checkbox is marked, the spline curve is displayed to connect the measurement points.

.topic 7208
If the checkbox is marked, the marker is displayed in the measurement point.

.topic 7209
Display the harmonic distortion (THD) of the Left channel which is being measured.

.topic 7210
Display the harmonic distortion (THD) of the Right channel which is being measured.

.topic 7211
THD is total harmonic distortion, 2ndHD is the second harmonic distortion, 3rdHD will display the third harmonic distortion.

.topic 7300
Display the graph of the level sweep measurement.  In the level sweep measurement, the measurement is performed by changing the level by steps and the harmonic distortions for the levels are displayed by line graphs.

.topic 7301
Set the frequency to measure.

.topic 7302
Input the frequency to measure.  The range of the input starts from 1 up to 1/2 of the sampling rate.

.topic 7303
Input the level to start the measurement.  The value of the input should be more than 0.

.topic 7304
Input the level to end the measurement.  The value of the input should be more than 0.

.topic 7305
Input the number of measurement points from the start level to the end level.  The value of the input should be more than 1.

.topic 7306
Display the level which is being measured.

.topic 7307
If the checkbox is marked, the spline curve is displayed to connect the measurement points.

.topic 7308
If the checkbox is marked, the marker is displayed in the measurement point.

.topic 7309
Display the harmonic distortion (THD) of the Left channel which is being measured.

.topic 7310
Display the harmonic distortion (THD) of the Right channel which is being measured.

.topic 7311
THD is total harmonic distortion, 2ndHD is the second harmonic distortion, 3rdHD will display the third harmonic distortion.

.topic 8000
Display the Impulse Response of the Left channel.  When it is zoomed, you can scroll by click and drag horizontally.

.topic 8001
Display the Impulse Response of the Right channel.  When it is zoomed, you can scroll by click and drag horizontally.

.topic 8002
Display the zoom magnification of horizontal direction of the Impulse Response window.

.topic 8003
Let the Impulse Response window to scroll horizontally.

.topic 8004
Display the time of the measurement.

.topic 8005
Display the sampling rate at the time of measurement.

.topic 8006
Display the measuring time at the time of measurement.

.topic 8007
Display the number of synchronous summation at the time of measurement.

.topic 8008
Display the number of bits at the time of measurement.

.topic 8009
Display the channel at the time of measurement.

.topic 8010
Start the measurement of the Impulse Response.

.topic 8011
Click if you want to cancel the Impulse Response.  Usually, you donft have to click because it automatically stops after the measurement.

.topic 8012
Save the measured impulse response as a file.

.topic 8013
Read the stored data of impulse response and display.

.topic 8014
Select the sampling rate of the impulse response measurement.

.topic 8015
Perform the assistance function to adjust the measurement conditions to be the best suited.

.topic 8016
Select the measuring time of the impulse response.  Select the time which is more than 2 times of the necessary impulse response time.

.topic 8017
Select the synchronous summation of the impulse response.  The synchronous summation is repeated for the set number of times to improve the S/N ratio.

.topic 8018
Measurement is performed by the Left channel only.

.topic 8019
Measurement is performed by both Left and Right channels.

.topic 8020
Measure the impulse response by M-Sequence (Maximal-length sequence) method.

.topic 8021
Measure the impulse response by TSP (Time-Stretched Pulse) method.

.topic 8022
If the checkbox is marked, in case of the output level is not pertinent, it is automatically adjusted before the measurement.

.topic 8023
If the checkbox is marked, 2 measurements are performed to compare the results. It automatically retries the measurements if there is a considerable difference between them.

.topic 8024
The results of the impulse response measurement contain include impulse responses of speakers and microphones besides those of concert halls and rooms which are the target of the measurement.  Compensation by the inverse filter sets off the unnecessary impulse responses of speakers and microphones by the inverse filter to obtain the real impulse response.

.topic 8025
Cancel the inverse filter which is set.

.topic 8026
Creates the inverse filter from the measured impulse response and saves it.

.topic 8027
Display the name of the inverse filter if the inverse filter is set.

.topic 8028
The waveform of the impulse response is outputted as a file.

.topic 8029
The output waveform (the waveform which is outputted to the speaker) is outputted as a file.

.topic 8030
The input waveform (the waveform which is inputted from the microphone) is outputted as a file.

.topic 8031
Save as a WAVE Format file.

.topic 8032
Save as a text Format file.

.topic 8033
The selected type of data is outputted as the selected format file.

.topic 8034
Display the condition of the time of measurement.

.topic 8035
Output the waveform of the measured impulse response to the sound device.

.topic 8036
Close the Impulse Response window.

.topic 8037
Cancel the horizontal zoom of the impulse response window.

.topic 8038
The impulse response window is zoomed in horizontally.

.topic 8039
The impulse response window is zoomed out horizontally.

.topic 8100
Display the list of registered folders.  Click to select a folder to save the measured data.  If you want to create a new folder, click [Folder] button.

.topic 8101
Display the list of the data which are stored in the selected folder.

.topic 8102
Save the measured data to the selected folder.  Saved data can be analyzed for reverberation time, etc. by Sound Analyzing system (SA).

.topic 8103
Create / Delete / Modify folders.

.topic 8104
Close this dialog box without saving the measured data.

.topic 8105
Display the sampling rate of the time of measurement.

.topic 8106
Display the measuring time of the measured data.

.topic 8107
Display the number of synchronous summation at the time of measurement.

.topic 8108
Display the channel of the measured data.

.topic 8109
Display the number of bits at the time of measurement.

.topic 8110
Input the title of the measured data.  Be sure to input before clicking [Save] button.

.topic 8111
Input comments about the measured data.  Input is voluntary.

.topic 8112
Display the date and time of the measurement of the measured data.

.topic 8200
Display the list of the registered folders.  Click to select the folder to read in.

.topic 8201
Display the title of the selected folder.

.topic 8202
Display the name of the measurer for the selected folder.

.topic 8203
Display the place of the measurement for the selected folder.

.topic 8204
Display the comments for the selected folder.

.topic 8205
Display the date of the measurement for the selected folder.

.topic 8206
Display the list of the measured data in the selected folder.

.topic 8207
Display the title of the selected measured data.

.topic 8208
Display the comment of the selected measured data.

.topic 8209
Display the measuring time of the selected measured data.

.topic 8210
Reads the selected measured data and close this dialog box.

.topic 8211
Delete the selected measured data.

.topic 8212
Create / Delete / Modify folders.

.topic 8213
Reads waveform data from WAVE files.

.topic 8214
Imports the measured data from other directories.

.topic 8215
Close this dialog box without any actions.

.topic 8300
Display the created folders.

.topic 8301
Creates a new folder.  Input [Title], etc. before clicking.

.topic 8302
Modify the information of the created folder.  Select the folder to modify and make changes to the displayed data, and click.

.topic 8303
Delete created folders.  Click to select a folder to delete.  Be warned that all data in the folder are also deleted and cannot be restored.

.topic 8304
Close this dialog box.

.topic 8305
Input the title of the folder.  Be sure to input it before you click [New] button.

.topic 8306
Input the name of the measurer.  Input is voluntary.

.topic 8307
Input the place of the measurement.  Input is voluntary.

.topic 8308
Input comments for the measurement.  Input is voluntary.

.topic 8309
Input the date of the measurement.

.topic 8310
Input the scale if you measured with a dummy.  In Sound analyzing system (SA), the actual size is calculated based on the scale.

.topic 8400
Adjust the input and output levels.  Low input level causes bad S/N ratio but high input level makes the waveform skewed and cannot obtain the right result.  Thus, it is necessary to perform measurement with an appropriate level.

.topic 8401
The appropriateness of the input level is judged and [OK] is displayed if it is appropriate and [NG] if the input level is too high or too low.

.topic 8402
Display the input level by bar.  If the bar is in the blue range, the level is too low; if it is in the green range, it is appropriate; and if it is in the red range, it is too high.  If the level is not appropriate, [Volume] of [Input Device] in the main window will be adjusted automatically.

.topic 8403
Display the deflection from the appropriate level.

.topic 8404
Whether the Left and Right microphones are positioned at the same distance from the sound source is checked.

.topic 8405
gOKh is displayed if the Left and Right microphones are at the same distance from the sound source and gNGh is displayed if the distances are not same.

.topic 8406
Display the position of the Left channel microphone with a blue triangle.  Adjust the positions of the Left and Right microphones so that the mark comes to the center 0.

.topic 8407
Display the position of the Right channel microphone with a red triangle.  Adjust the positions of the Left and Right microphones so that the mark comes to the center 0.

.topic 8408
Display the difference of the distances of the Left and Right microphones from the sound source.

.topic 8409
Adjust the measuring time of the impulse response.  Whether the measuring time is enough will be checked because the measuring time needs to be more then 2 times of reverberation time.

.topic 8410
gOKh is displayed if the measuring time is appropriate and gNGh is displayed if it is not appropriate.

.topic 8411
Display the measuring time at present.  The measuring time will be adjusted automatically if it is inappropriate.

.topic 8412
Display the S/N ratio at present.  If S/N ratio is low, the measuring time may not be enough.

.topic 8413
Close this window.

.topic 8500
Display the impulse response.  Both sides of the yellow area can be clicked and move by mouse and select the components of the impulse response of microphones, speakers, etc.

.topic 8501
Display the frequency response and the phase characteristic of the inverse filter.

.topic 8502
Input the title of the inverse filter.  Be sure to input before click [Save] button.

.topic 8503
Input comments about the inverse filter.  Input is voluntary.

.topic 8504
Input the maximum compensation value of the inverse filter.  The value should be more than 0.

.topic 8505
If the checkbox is marked, the level and the phase are compensated.  If it is not marked, only the level is compensated.

.topic 8506
Display the start position of the selected impulse response.

.topic 8507
Display the end position of the selected impulse response.

.topic 8508
Save the inverse filter.

.topic 8509
Close this dialog box.

.topic 8600
Display the list of the registered inverse filter.

.topic 8601
Display the impulse response.  To make changes, both sides of the yellow area can be clicked and move by mouse and select the components of the impulse response of microphones, speakers, etc.

.topic 8602
Display the frequency response and the phase characteristic of the inverse filter.

.topic 8603
Display the title of the inverse filter.  To make changes, click [Overwrite] button after input it.

.topic 8604
Display the comment of the inverse filter.  To make changes, click [Overwrite] button after input it.

.topic 8605
Input the maximum compensation value of the inverse filter.  To make changes, click [Overwrite] button after input it.

.topic 8606
If the checkbox is marked, the level and the phase are compensated.  If it is not marked, only the level is compensated.

.topic 8607
Display the start position of the selected impulse response.

.topic 8608
Display the end position of the selected impulse response.

.topic 8609
Set the selected inverse filter to be used at measurement.

.topic 8610
Close the dialog box without any actions.

.topic 8611
Overwrites after the selected inverse filter is changed.

.topic 8612
Delete the selected inverse filter.

.topic 8040
Displays SA directly measured data.

.topic 9000
The measured value of the running ACF is displayed in 3D graph.

.topic 9001
Display the input waveform.

To make changes, both sides of the sky blue area can be clicked to change the selected area and only the necessary parts can be cut.

and move by mouse and select the components of the impulse response of microphones, speakers, etc.

.topic 9002
Display the zoom magnification of the input waveform.

.topic 9003
Scroll the input waveform horizontally.

.topic 9004
Normalizes the maximum value of the amplitude of the input waveform to 1.

.topic 9005
Display the date and time of the measurement.

.topic 9006
Display the sampling rate at the time of measurement.

.topic 9007
Display the measuring time at the time of measurement.

.topic 9008
Display the start position for the selected area of the input waveform.

.topic 9009
Display the end position for the selected area of the input waveform.

.topic 9010
Display the time for the selected area of the input waveform.

.topic 9011
Cuts the selected area of the input waveform.

.topic 9012
Select the all area of the input waveform.

.topic 9013
Plays the input data from the sound device.

.topic 9014
Start the measurement of the running ACF.

.topic 9015
Cancel the measurement of the running ACF.  Usually, you donft have to click it because the measurement will be stop automatically after a specified measuring time has passed.

.topic 9016
Save the measured data as a file.  The saved data can be analyzed by Sound Analyzing system (SA).

.topic 9017
Reads saved data and display.

.topic 9018
Select the sampling rate at the time of measurement.

.topic 9019
Input the measuring time.  The input value is more than 1.

.topic 9020
Measurement is performed by the Left channel only.

.topic 9021
Measurement is performed by both Left and Right channels.

.topic 9022
Input the integration time of ACF.  The input value is more than 1.

.topic 9023
Input the calculation cycle of ACF.  The input value is more than 1.

.topic 9024
Input the maximum delay time(Tau) of the horizontal axis.  The input value is more than 1.

.topic 9025
Select the hearing impression filter.  Select Flat if you donft use the filter.

.topic 9026
Input the data of the time axis.  The input value is more than 1.

.topic 9027
Set the direction of time axis to go from the back toward the front.

.topic 9028
Set the direction of time axis to go from the front toward the back.

.topic 9029
Display the self correlation value of the vertical axis by linear scale.

.topic 9030
If the checkbox is marked, display the self correlation value of the vertical axis by absolute values (0 to 1).  If it is not marked, the self correlation value is displayed as is (-1 to 1).

.topic 9031
Display the self correlation value of the vertical axis by logarithmic scale.

.topic 9032
Input the minimum value for the self correlation value of the vertical axis by logarithmic scale.  (The Maximum value is always 0dB.)

.topic 9033
Display the measured data of the Left channel.

.topic 9034
Display the measured data of the Right channel.

.topic 9035
Change [Display Settings] and display the measured data again.

.topic 9036
Close this window.

.topic 9037
Cancel the horizontal zoom of the input waveform window.

.topic 9038
The input waveform window is zoomed in horizontally.

.topic 9039
The input waveform window is zoomed out horizontally.

.topic 9040
Displays SA directly measured data.

.topic 9041
Display the realtime graph window.

.topic 9100
Display the list of the registered folders.  Click to select a folder to save the measured data.  To create a new folder, click [Folder] button.

.topic 9101
Display the list of the data which is stored in the selected folder.

.topic 9102
Save the measured data in the selected folder.  The saved data can be analyzed by Sound Analyzing system (SA).

.topic 9103
Create / Delete / Modify folders.

.topic 9104
Save the measured data as a WAVE Format file.

.topic 9105
Close this dialog box without saving the measured data.

.topic 9106
Display the sampling rate of the measured data.

.topic 9107
Display the channel of the measured data.

.topic 9108
Display the measuring time of the measured data.

.topic 9109
Input the title of the measured data.  Be sure to input it before you click [Save] button.

.topic 9110
Input comments for the measured data.  Input is voluntary.

.topic 9111
Display the date of the measurement for the measured data.

.topic 9200
Display the Phi(0) realtime graph.

.topic 9201
Display the Phi1 realtime graph.

.topic 9202
Display the TauE realtime graph.

.topic 9203
Display the Tau1 realtime graph.

.topic 9204
Display the spectrogram realtime graph.

.topic 9205
Display the calculated data.

.topic 10000
Display the waveform of the recorded data.  To cut out a part of the waveform, click on the both sides of the sky blue area to select the range to cut, and click [Cut] button.

.topic 10001
Display the zoom magnification of the recording waveform window.

.topic 10002
Scroll the recording waveform window horizontally.

.topic 10003
Normalize the biggest amplitude to 1.

.topic 10004
Display the recording time.

.topic 10005
Select the entire waveform.

.topic 10006
Cut the selected range of the recording waveform window.

.topic 10007
Display the start time of the selected range in the recording waveform window.

.topic 10008
Display the end time of the selected range in the recording waveform window.

.topic 10009
Display the time of the selected range in the recording waveform window.

.topic 10010
The input or output sound is recorded if Signal Generator, FFT Analyzer, or others is performed while the checkbox is marked.

.topic 10011

The recorded sound will be played if FFT Analyzer, Oscilloscope, or others is performed while the checkbox is marked.

.topic 10012
When input and output are performed simultaneously, the input data has priority to be recorded.  Regardless of this selection, the performed one will be recorded if only one of them is performed.

.topic 10013
When input and output are performed simultaneously, the output data has priority to be recorded.  Regardless of this selection, the performed one will be recorded if only one of them is performed.

.topic 10014
Save the recorded data as a WAVE format file.

.topic 10015
Reads in the waveform data from a WAVE file.

.topic 10016
Close this window.

.topic 10017
Cancel the horizontal zoom of the recording waveform window.

.topic 10018
The recording waveform window is zoomed in horizontally.

.topic 10019
The recording waveform window is zoomed out horizontally.

.topic 11000
Display the list of the registered presets.

.topic 11001
Apply the selected preset.  All the positions of the windows and the settings are set as the condition when the preset is registered.

.topic 11002
Close this dialog box.

.topic 11003
Save all the positions of the windows and the condition at present as a new preset.

.topic 11004
Save all the positions of the windows and the condition at present to the selected preset which will be overwritten.

.topic 11005
Delete the selected preset.

.topic 11006
Creates a shortcut to the selected preset on the desktop.  By simply clicking the shortcut,  the window of the preset will be opened.

.topic 11100
Input the title for the preset to be saved.

.topic 11101
Save the preset and close the dialog box.

.topic 11102
Close the dialog box without saving the preset.

.topic 12000
Save the setting and close the dialog box.

.topic 12001
Close the dialog box without saving the settings.

.topic 12100
Select the font size of the [Signal Generator] window.

.topic 12101
Select the font size of the [FFT Analyzer] window.

.topic 12102
Select the font size of the [Oscilloscope] window.

.topic 12103
Select the font size of the [Frequency Response] window.

.topic 12104
Select the font size of the [THD Analyzer] window.

.topic 12105
Select the font size of the [Impulse Response] window.

.topic 12106
Select the font size of the [Running ACF] window.

.topic 12107
Set font sizes of all the windows as default values.

.topic 12108
The input devices used in 24-bit. If the input device does not support 24-bit uses 16-bit.

.topic 12109
The input devices used in 16-bit.

.topic 12110
The output devices used in 24-bit. If the output device does not support 24-bit uses 16-bit.

.topic 12111
The output devices used in 16-bit.

.topic 13000
Input comment to add to backup.

.topic 13001
It is a list of the existing backed up data.

.topic 13002
Perform backup.

.topic 13003
Close the dialog box.

.topic 13004
Delete backup data.

.topic 14000
List of backup data.

.topic 14001
Perform restore.

.topic 14002
Close the dialog box.